#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0x291a980b, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0x2219e982, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0xd3e1b0e1, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0x7629904c, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0xfdd0f0e3, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0xb48a24fa, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0x3ade4ff0, "_gpl");
SYMBOL_CRC(idxd_drv, 0x10bfe53c, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0xb972ef84, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0x63feac0e, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x5f8d8e2c, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x6545e437, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0x2038b36e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd79c2661, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcfd9709c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xca3b4aea, "pci_msix_vec_count" },
	{ 0xf00353d2, "pci_enable_device" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0x2c8bc168, "dev_set_name" },
	{ 0x1d505055, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc015973a, "dma_async_device_unregister" },
	{ 0x17223810, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x380e8d85, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x6ca65291, "cdev_device_del" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x35a8d6c5, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xdd82ec62, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf886d602, "__pci_register_driver" },
	{ 0x1fd313a4, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x7d1dd78, "device_initialize" },
	{ 0x565de1a3, "dsa_bus_type" },
	{ 0x717e8fbd, "iommu_dev_disable_feature" },
	{ 0x5640a3a5, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x7c79ab19, "seq_lseek" },
	{ 0xbe2056d4, "iommu_sva_bind_device" },
	{ 0x37f50d30, "iommu_detach_device_pasid" },
	{ 0x706d6e90, "prepare_to_wait_event" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0xb4d03b9e, "pci_irq_vector" },
	{ 0xfe23a3e0, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x58f0c4bc, "__dynamic_dev_dbg" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x41b84409, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x438367dc, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x66e7a163, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb862ad8a, "sbitmap_prepare_to_wait" },
	{ 0x143cf70f, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd588645c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0xbaf40549, "kmalloc_node_trace" },
	{ 0x69ca5913, "iommu_dev_enable_feature" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd630be73, "kmem_cache_alloc" },
	{ 0xa47ced9, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2f0e9a0, "__idxd_driver_register" },
	{ 0xde7e8006, "iommu_get_domain_for_dev" },
	{ 0x845de9cc, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x606fa4dd, "bus_unregister" },
	{ 0xcd7b5db1, "down_write" },
	{ 0x9e474cfc, "_dev_err" },
	{ 0xd427aa17, "up_write" },
	{ 0x81e8b3cf, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x79bd0e60, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x92bdfc76, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xd00c46f0, "kmem_cache_free" },
	{ 0x3c80ab3a, "dma_alloc_attrs" },
	{ 0x62d51850, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x90cb137b, "dma_async_device_channel_unregister" },
	{ 0x5ff2698f, "iommu_sva_unbind_device" },
	{ 0x135f3fcb, "sbitmap_queue_clear" },
	{ 0x85da57f7, "ida_free" },
	{ 0xe2b0fe27, "iommu_alloc_global_pasid" },
	{ 0x45cc5f51, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd9f69e25, "pci_iounmap" },
	{ 0xc588e5fc, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x65d7966e, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3216585, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc916c790, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf8e6d2ce, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb170cd87, "dma_async_device_register" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0x13460336, "iommu_attach_device_pasid" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0xc7a195cc, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xba219ab3, "dma_set_coherent_mask" },
	{ 0x36067b89, "__xa_insert" },
	{ 0xe036a108, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xf59df157, "debugfs_create_file" },
	{ 0xf88e62a3, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1be32a84, "sbitmap_finish_wait" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0xf36a6e9, "dma_async_device_channel_register" },
	{ 0x4f9109b5, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x94dbff07, "xa_destroy" },
	{ 0xf8cf9dae, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x28580878, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x543be185, "pci_disable_device" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0xfef798cc, "seq_puts" },
	{ 0xb8a37c71, "single_release" },
	{ 0x173aa099, "dma_set_mask" },
	{ 0x651cfde1, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x6501309c, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x92215b08, "single_open" },
	{ 0x55d8dac6, "debugfs_create_dir" },
	{ 0xf2670ca, "__sbitmap_queue_get" },
	{ 0x9da64509, "pci_free_irq_vectors" },
	{ 0x2baaf7f1, "idxd_driver_unregister" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0x66816a31, "cdev_init" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x12acf6bc, "bus_register" },
	{ 0x6aea2569, "kmem_cache_destroy" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000011FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001216sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "24E8FBC4E0C73648D80442D");
MODULE_INFO(rhelversion, "9.7");
