#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0x26bac5c0, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0xc0a3b3ee, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0xeceb5a67, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0x76897b79, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x2b5f2dcb, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x931e47c9, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x8d324b50, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x4b640453, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x9dc34040, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0x0dd5a560, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x869b3e67, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x14ea0d3f, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x1b6411ea, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x6adc7a3f, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x3fc9232c, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0x72ce6135, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0xb98bbc4b, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0xfacf7164, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x6ed16725, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x4c72ade6, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0xd641bf0e, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x596a2e93, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x4e27dbdd, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x4ccb47b1, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xc7b3984a, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0xdec61ef6, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0xe5da0be4, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x599ac8de, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0xc7aee0a1, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x56e7ebac, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x516ecf47, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x552582f1, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x212dca3e, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x17ff9cc9, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0xa9bf9daf, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x63d1babe, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x3747a094, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x2aa53a9d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab82ff57, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c263ccb, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb2535bb4, "drm_exec_prepare_array" },
	{ 0x530ca307, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xac59eca6, "drm_gem_private_object_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x19a618eb, "drm_exec_prepare_obj" },
	{ 0x60a3bae1, "drm_exec_lock_obj" },
	{ 0x423f03ee, "drm_exec_init" },
	{ 0x6a1f8ef2, "drm_exec_cleanup" },
	{ 0x2cfff437, "drm_exec_fini" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");
MODULE_INFO(rhelversion, "9.7");
