#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xc6fbce15, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xc89377f3, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x0ade6502, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x353bb3d9, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xd7cdf8d4, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x1def8cfa, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xcddf4ad0, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x548219e4, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x67ec16ef, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x3351a60c, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x98e098a2, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x4df1a5f8, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x455f618b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xad31bd41, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x0b2a07ce, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x605c967f, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x3ab0d9d4, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xac384fde, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x3c65428d, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xa4d0451a, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x64d1f3ff, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x9bba7b49, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x56024520, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x3c5eb12e, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x13bf38f1, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x774882a1, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x6e17c475, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xf30924d6, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x4bb79549, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x8bc396bd, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x6f04603a, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xbcc207f4, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xc34000cd, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x1abe0efe, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x6cc8e549, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x163b392d, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xdffbf671, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xc4eadd16, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x9a8ed578, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x029e7ad5, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x02bb245f, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x4487cc8c, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x6170f23e, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xdaa41ee1, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x7ce91ba8, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x9a75c2e5, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xfcdf95c8, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x617a7468, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x91b39f44, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x3e739229, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x5a117b94, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x02d87d9a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xf5733eb6, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x95f44b3d, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x94a2c3e6, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x77e52c91, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x3863936c, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x89e60faf, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x6526d4f1, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x0de89a54, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x461a761b, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x40053dec, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xc4a3e069, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x994f4167, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x538f200f, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x5a841dca, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x8539b98a, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xc33e1f67, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x766921a2, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xfec787ce, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x7a9b798a, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x6c01aea0, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xb4bb2726, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x163365d0, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x03a729b3, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x4f4367ad, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xbb0624f2, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x52f5586b, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x2ea952f0, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x9468ef07, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xe9d4e029, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xb3494cb8, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x164ea075, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xce5a5833, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xfaab6d0e, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x13b75712, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x0fa5ae0d, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xc7cb272b, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xf325cf9b, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x973ba3f3, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x40b00d82, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xb96ed451, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x85a484ef, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x60c662f4, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xac9397b9, "");
SYMBOL_CRC(drm_flip_work_queue, 0x9108f405, "");
SYMBOL_CRC(drm_flip_work_commit, 0x75eaf6b5, "");
SYMBOL_CRC(drm_flip_work_init, 0x91b8738b, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xfe7d74a8, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x64d833c9, "");
SYMBOL_CRC(drm_fb_swab, 0x21c62c7b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xf1967182, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x0dc33494, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xab79fddb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x02485d0a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x603e8f41, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x10a167da, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xa87862eb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xdeea57f1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xad78b48c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xfb1712b0, "");
SYMBOL_CRC(drm_fb_blit, 0x8f914a70, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x000d1160, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x3b27281c, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x07560447, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xa3e5f0d8, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x4ff3a60c, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xe6132ed0, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x1d1723fe, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x94160c55, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xb0404313, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xf7b9ed0c, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x1c5e197d, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x552d2c6b, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xfcb9fd2d, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x6c86d2e1, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xbce0adae, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x4d57a7da, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x10e38411, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xf70cdfc8, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x3dbf8c11, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xb9a3a833, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xb2c5fc96, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xe263e55f, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xbc8dd713, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x1794dcdb, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xbba91afb, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x7df624b3, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x4de2e2c3, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xc25391f0, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x5b78be30, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x1cba4e56, "");
SYMBOL_CRC(drm_crtc_init, 0xa0893cff, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xfe467e53, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x023e84c8, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xd215e8aa, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x7aa5efc9, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xb79e5b61, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x99754957, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x8e3031bd, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xabc47ad2, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x259279c5, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x474ad7be, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xe7865412, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x76be73b8, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x5fab4546, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x86f2cdb5, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xe2b72db6, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x159d2f31, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x0cc38682, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x4d6eaf4d, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xb4c53452, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x0aac30a4, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x0031f4c7, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x91c4e585, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xd441e942, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x869f3fbc, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x8312efc6, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x2afdf0df, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xf164a560, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xa7e4dd6c, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xa2ddb5e1, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x746202a2, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xfb24cf55, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x95380390, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x6f8dfc6b, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xd88f4c4b, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xe391f9f0, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x43502417, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x262db9d6, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x4ca41fac, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xa46e249c, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x97d2b8f7, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xd28bdede, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x92c56a82, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xf6709845, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x6f3db308, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x8bd03d08, "");
SYMBOL_CRC(drm_fb_helper_init, 0xfcf36694, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x454be4ac, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xdccaa1a3, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x6b855386, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x59ff49fe, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xfa595227, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x6727a3e7, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x5765202f, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x2f2f6e29, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x0d2df38f, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x00c51dfa, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x43b32a14, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0xbb2888f6, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x672a7ac2, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x089c3227, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x9774c855, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x159314d5, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x92b396d1, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x95f3fc2d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc719d218, "unregister_framebuffer" },
	{ 0x60c8bccd, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x47dfde98, "drm_framebuffer_cleanup" },
	{ 0xd38a23fd, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x20cefd42, "drm_panel_get_modes" },
	{ 0x8dfeff58, "drm_gem_vmap_unlocked" },
	{ 0xf47096c9, "try_module_get" },
	{ 0x8e69e215, "drm_connector_list_update" },
	{ 0xe8014066, "drm_bridge_add" },
	{ 0x9242905b, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x7119f165, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x98a0ca7c, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x58612090, "drm_client_rotation" },
	{ 0x8756bab5, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x63778982, "drm_framebuffer_init" },
	{ 0x3fd09315, "drm_mode_validate_driver" },
	{ 0x217f3be3, "drm_atomic_add_affected_planes" },
	{ 0x89f7613c, "dma_buf_end_cpu_access" },
	{ 0x75358092, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb7f37345, "drm_mode_probed_add" },
	{ 0xd3efd94e, "drm_atomic_add_affected_connectors" },
	{ 0x6f004a9f, "drm_gem_vunmap_unlocked" },
	{ 0xf5e20b02, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xdd82ec62, "finish_wait" },
	{ 0xde52bf24, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x80c5129e, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xbf5955c0, "drm_mode_object_get" },
	{ 0xd621ef7b, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x448c7b21, "drm_driver_legacy_fb_format" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x7e208b4a, "drm_crtc_cleanup" },
	{ 0x47371cd4, "drm_connector_list_iter_begin" },
	{ 0x9c2d9735, "drm_mode_set_config_internal" },
	{ 0x706d6e90, "prepare_to_wait_event" },
	{ 0xca842642, "framebuffer_alloc" },
	{ 0xfa3a392c, "drm_encoder_cleanup" },
	{ 0xdd8a2ea6, "drm_modeset_acquire_init" },
	{ 0xa37eaa44, "dma_fence_set_deadline" },
	{ 0xa8b822e3, "drm_client_modeset_probe" },
	{ 0xcd3cb635, "drm_warn_on_modeset_not_all_locked" },
	{ 0x9f92645f, "drm_plane_get_damage_clips" },
	{ 0x863f8d30, "devres_add" },
	{ 0xe3162db1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4fdb6f99, "drm_add_modes_noedid" },
	{ 0xc78325cc, "drm_bridge_remove" },
	{ 0x2e28d19e, "drm_mode_object_put" },
	{ 0x6c263ccb, "dev_driver_string" },
	{ 0xb482e234, "drm_crtc_vblank_get" },
	{ 0xae57d119, "drm_gem_object_lookup" },
	{ 0x94ee8e96, "drm_crtc_send_vblank_event" },
	{ 0xb1fb5d52, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5cf07bd, "drm_atomic_normalize_zpos" },
	{ 0xb71490d3, "drm_edid_connector_update" },
	{ 0xc80954f9, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x689febd1, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x447ac9d, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x68c6d509, "drm_connector_list_iter_end" },
	{ 0xb1d1f078, "drm_atomic_set_crtc_for_plane" },
	{ 0x816bd457, "drm_client_modeset_dpms" },
	{ 0x91a256a2, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfaa59ed8, "drm_client_dev_hotplug" },
	{ 0xa47ced9, "_dev_info" },
	{ 0x37b47435, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xbcd60810, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xb03e8d92, "module_put" },
	{ 0xbe790dcf, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x32fb2f02, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc67f529e, "drm_client_init" },
	{ 0x7f99fbae, "drm_crtc_wait_one_vblank" },
	{ 0x7af453e4, "drm_crtc_next_vblank_start" },
	{ 0x146e618b, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xc256d920, "drm_modeset_lock" },
	{ 0xcbd50b11, "drm_client_modeset_commit_locked" },
	{ 0xfe138c28, "drm_modeset_unlock" },
	{ 0xf65152b9, "drm_panel_disable" },
	{ 0xc6287871, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb0105415, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x12a5406b, "devm_kfree" },
	{ 0x9e474cfc, "_dev_err" },
	{ 0xb825062d, "drm_writeback_cleanup_job" },
	{ 0x3ee3d246, "drm_modeset_lock_all_ctx" },
	{ 0x485694e2, "i2c_unregister_device" },
	{ 0xd03134db, "drm_atomic_set_fb_for_plane" },
	{ 0x29c39bec, "__drm_universal_plane_alloc" },
	{ 0x3ad4e90b, "drm_edid_connector_add_modes" },
	{ 0x7cef859a, "drm_probe_ddc" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x8a7fd649, "__devres_alloc_node" },
	{ 0x41a1d18e, "drm_edid_read" },
	{ 0x39560c63, "drm_crtc_commit_wait" },
	{ 0xa9468c43, "drm_dev_has_vblank" },
	{ 0xff68162d, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xdb9101a8, "__drm_atomic_helper_disable_plane" },
	{ 0xfd785c0b, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x46e3246f, "drm_gem_handle_create" },
	{ 0xe0ca1a7f, "drm_atomic_set_crtc_for_connector" },
	{ 0x2e0bb2f9, "drm_analog_tv_mode" },
	{ 0x37aaa2cf, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x3b678f12, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2256571d, "drm_crtc_vblank_put" },
	{ 0xa0da58ef, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xffd549be, "__drm_dev_dbg" },
	{ 0x5cd6aa9e, "drm_plane_get_damage_clips_count" },
	{ 0x4dd989f3, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xa6035628, "drm_atomic_state_alloc" },
	{ 0x6851d92, "drm_client_modeset_commit" },
	{ 0xe3216585, "_dev_warn" },
	{ 0x71134496, "drm_atomic_bridge_chain_post_disable" },
	{ 0xec7eaa1b, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x33259f7, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x6a9a14df, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x4f6e4dcf, "drm_client_release" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x8965b2e3, "__drm_atomic_helper_set_config" },
	{ 0xfa46b722, "mutex_trylock" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0xb6aa5b1a, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x83a720e4, "drm_connector_cleanup" },
	{ 0x7b115d6c, "drm_get_format_info" },
	{ 0xe853549f, "drm_universal_plane_init" },
	{ 0xac7290d3, "drm_any_plane_has_format" },
	{ 0xa341c6a, "drm_connector_list_iter_next" },
	{ 0x56f09b6e, "drm_modeset_acquire_fini" },
	{ 0xba351e4d, "drm_encoder_init" },
	{ 0x77e6d2f2, "drm_object_property_get_default_value" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4f9109b5, "param_ops_bool" },
	{ 0xece1a14e, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x54e3c251, "drm_modeset_backoff" },
	{ 0xb5d14962, "drm_panel_prepare" },
	{ 0xcf8cbdf0, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x80fcc821, "drm_atomic_get_plane_state" },
	{ 0xdce23684, "drm_atomic_bridge_chain_check" },
	{ 0x74534c70, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x7ea38cb9, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x19474203, "drm_property_blob_put" },
	{ 0x9cd029ed, "drm_mode_destroy" },
	{ 0xd273998f, "drm_bridge_attach" },
	{ 0x913b26f, "drm_set_preferred_mode" },
	{ 0x2015e2b0, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x1fa858d1, "drm_atomic_state_clear" },
	{ 0x5838f43b, "drm_mode_config_reset" },
	{ 0xc8ef1614, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xb690d7f2, "drm_modeset_drop_locks" },
	{ 0x9a1bb294, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x23cfecb4, "drm_atomic_bridge_chain_disable" },
	{ 0x4fe717e9, "drm_mode_create_from_cmdline_mode" },
	{ 0xdf3a55b0, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x410ebcb2, "param_ops_int" },
	{ 0xa489d169, "drm_atomic_nonblocking_commit" },
	{ 0x55d8dac6, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xbb6614fd, "drm_master_internal_release" },
	{ 0x474df3b3, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x69cb4131, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0xa980815e, "drm_atomic_add_encoder_bridges" },
	{ 0xbff4c507, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdd39f031, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "fb,drm");


MODULE_INFO(srcversion, "B7661952925E31DDED407A3");
MODULE_INFO(rhelversion, "9.7");
