#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_sched_tdr_queue_imm, "", "");
KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_ready, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_stop, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_start, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_tdr_queue_imm, 0x9e2a1542, "");
SYMBOL_CRC(drm_sched_fault, 0x1610acab, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0x6995235d, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x29a4186d, "");
SYMBOL_CRC(drm_sched_stop, 0x31c00588, "");
SYMBOL_CRC(drm_sched_start, 0x53e52b3d, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x5c5c6683, "");
SYMBOL_CRC(drm_sched_job_init, 0xe6501e65, "");
SYMBOL_CRC(drm_sched_job_arm, 0x2a79cba9, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x9a02cc68, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0xb82e64e7, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0x04795cb9, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x92fc9412, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0xdfc53f59, "");
SYMBOL_CRC(drm_sched_pick_best, 0xdfd77ed3, "");
SYMBOL_CRC(drm_sched_init, 0x76cee8f1, "");
SYMBOL_CRC(drm_sched_fini, 0xc4106f4e, "");
SYMBOL_CRC(drm_sched_increase_karma, 0xa9331c4e, "");
SYMBOL_CRC(drm_sched_wqueue_ready, 0x289d064b, "");
SYMBOL_CRC(drm_sched_wqueue_stop, 0x8b8e00e0, "");
SYMBOL_CRC(drm_sched_wqueue_start, 0x44f07975, "");
SYMBOL_CRC(to_drm_sched_fence, 0xcbc6a70f, "");
SYMBOL_CRC(drm_sched_entity_init, 0xc51e408d, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x9c3199ae, "");
SYMBOL_CRC(drm_sched_entity_error, 0xfc0de5eb, "");
SYMBOL_CRC(drm_sched_entity_flush, 0xea70621b, "");
SYMBOL_CRC(drm_sched_entity_fini, 0xc91ba568, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x4dc473ac, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0xeed2f8fc, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0xbd74ff3b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5d0cd4a5, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7111f426, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xdd82ec62, "finish_wait" },
	{ 0xe7521a45, "trace_event_printf" },
	{ 0x714f0596, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe6618456, "bpf_trace_run2" },
	{ 0x706d6e90, "prepare_to_wait_event" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0xffe16c5d, "event_triggers_call" },
	{ 0x1f78ab40, "dma_fence_add_callback" },
	{ 0xa37eaa44, "dma_fence_set_deadline" },
	{ 0xc4cf37a, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe3162db1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6c263ccb, "dev_driver_string" },
	{ 0x9dc44aec, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x328cd616, "trace_event_ignore_this_pid" },
	{ 0xd0ffa842, "dma_resv_iter_next" },
	{ 0xc033233d, "dma_fence_remove_callback" },
	{ 0xd630be73, "kmem_cache_alloc" },
	{ 0x858268ec, "drm_dev_printk" },
	{ 0xfee8c4fd, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2b95b31a, "perf_trace_run_bpf_submit" },
	{ 0x9e474cfc, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x92bdfc76, "xa_load" },
	{ 0x542f4bc1, "dma_fence_signal" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd00c46f0, "kmem_cache_free" },
	{ 0xe7996192, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x326976cc, "dma_fence_init" },
	{ 0xa8944634, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xe3216585, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x25fae161, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xac551b5c, "trace_event_buffer_reserve" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x94dbff07, "xa_destroy" },
	{ 0x8ed652dc, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27be5637, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x74745994, "dma_resv_iter_first" },
	{ 0x424cfe07, "xa_find_after" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0x410ebcb2, "param_ops_int" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x6aea2569, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "36CEA099525BB91D92912C6");
MODULE_INFO(rhelversion, "9.7");
