#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x09035705, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xc0793b45, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x5b86dee3, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x2fa16a5f, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x97cc9c74, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xc7c79354, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x406fb86b, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xf1d739e0, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x5ba4b1ec, "_gpl");
SYMBOL_CRC(can_change_state, 0xddabc770, "_gpl");
SYMBOL_CRC(can_bus_off, 0xabdc092b, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x859167e1, "_gpl");
SYMBOL_CRC(free_candev, 0x79c8a970, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xac11ead4, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x940f88a9, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xd732e8ff, "");
SYMBOL_CRC(open_candev, 0x023e51f6, "_gpl");
SYMBOL_CRC(close_candev, 0xec290878, "_gpl");
SYMBOL_CRC(register_candev, 0xdb253924, "_gpl");
SYMBOL_CRC(unregister_candev, 0x62f01300, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x068dd047, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xba5bc432, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf31f815c, "skb_put" },
	{ 0xa6e7a52e, "gpiod_set_value" },
	{ 0xabf11669, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4ba8b3db, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3d2743d8, "unregister_netdev" },
	{ 0x34330fb4, "rtnl_link_register" },
	{ 0x99c7466f, "netdev_warn" },
	{ 0xc002dc5f, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x995c9949, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf6e9b37, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa5783d80, "device_property_read_u32_array" },
	{ 0xa4190776, "rtnl_link_unregister" },
	{ 0xe3cb08c9, "sk_skb_reason_drop" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x86586d52, "register_netdev" },
	{ 0x53e0c0, "free_netdev" },
	{ 0x5f464b53, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc1928d7e, "netif_rx" },
	{ 0x89086647, "__netdev_alloc_skb" },
	{ 0x22ee7dec, "skb_trim" },
	{ 0x37d0d526, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x423c2fe3, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc4f854fb, "skb_clone" },
	{ 0xf0357208, "netif_carrier_on" },
	{ 0x1625b51f, "dev_err_probe" },
	{ 0x89c92cee, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x2056c9fd, "skb_clone_tx_timestamp" },
	{ 0x51e82c7c, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A01C30400C623AD7A56E46");
MODULE_INFO(rhelversion, "9.7");
