#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x7d366e05, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xe1d08052, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x655b3962, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xb221bc95, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x2b3796a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50b11be5, "__do_once_done" },
	{ 0x25f898c5, "ip6_route_input_lookup" },
	{ 0xd79c2661, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x1fb9f55f, "dev_pre_changeaddr_notify" },
	{ 0x5a214c56, "dev_mc_sync" },
	{ 0xcfd9709c, "ida_destroy" },
	{ 0xe3a104b8, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe6db042c, "netdev_update_features" },
	{ 0x4ba8b3db, "consume_skb" },
	{ 0xd8c531c0, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0x1d18cf7a, "dev_uc_sync" },
	{ 0x34330fb4, "rtnl_link_register" },
	{ 0x4cb79328, "netif_inherit_tso_max" },
	{ 0x365f2f62, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xda4f7e5d, "ip_route_output_flow" },
	{ 0xebfe41ed, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8f169ef7, "dev_uc_unsync" },
	{ 0x287ff576, "ether_setup" },
	{ 0x995c9949, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40e4a9d6, "netdev_upper_dev_link" },
	{ 0x8ad4bb2e, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x30500034, "netdev_rx_handler_unregister" },
	{ 0xf8164cdd, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfc708ad3, "eth_header_cache_update" },
	{ 0x825b4b15, "nf_register_net_hooks" },
	{ 0xd0ce9f04, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf56fb584, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf879ab74, "__dev_get_by_index" },
	{ 0xa4190776, "rtnl_link_unregister" },
	{ 0x5604d0c, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe3cb08c9, "sk_skb_reason_drop" },
	{ 0x8690e8a, "netif_stacked_transfer_operstate" },
	{ 0x317ae43f, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x85da57f7, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7ccb5124, "ns_capable" },
	{ 0x32a35d0c, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1bfabd81, "ethtool_op_get_link" },
	{ 0x632ceb33, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x3668ad0f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x339bb663, "__pskb_pull_tail" },
	{ 0xc1928d7e, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x1c82c23d, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xc5211889, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc0bef4c3, "vlan_vid_add" },
	{ 0xa43418ef, "call_netdevice_notifiers" },
	{ 0x3fcdb9ea, "vlan_vid_del" },
	{ 0x2894069a, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc4f854fb, "skb_clone" },
	{ 0x8cfcb035, "dst_release" },
	{ 0x729b11e, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbf43aabd, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xc29660fa, "dev_mc_unsync" },
	{ 0x3ac6608c, "dev_change_flags" },
	{ 0xc23481fa, "netdev_core_stats_inc" },
	{ 0xf1f840e9, "dev_forward_skb" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa3c06203, "register_netdevice" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "DE37DC5C8DABDDDB3FEB4A1");
MODULE_INFO(rhelversion, "9.7");
