#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x0dd01d66, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x381581c0, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x91dc1f9d, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x8c80c3f2, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x4ff1fdbb, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xf42d008e, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xe8b133e4, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x152ce172, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xa30a4b13, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xda873497, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x2bdc33ed, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xcce58027, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x4c3d6870, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x1d639290, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x5b85aa30, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xf6978998, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xa8006a69, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x12be941e, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x4d70fc91, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x7ffc95e5, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xc8179067, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9fb18851, "mdiobus_write" },
	{ 0x3a1a2f9c, "mdiobus_read" },
	{ 0x463ee255, "phy_write_mmd" },
	{ 0x64b2db39, "phy_modify" },
	{ 0x120eda3f, "phy_trigger_machine" },
	{ 0x7d5a8a07, "phy_error" },
	{ 0x2b21aa7f, "phy_modify_changed" },
	{ 0x90b23b0a, "genphy_update_link" },
	{ 0xbc8f8d4a, "genphy_read_lpa" },
	{ 0xa4acce2d, "phy_resolve_aneg_pause" },
	{ 0xf5c0e734, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9e474cfc, "_dev_err" },
	{ 0xf83a4e07, "phy_read_mmd" },
	{ 0x6600ce76, "ethnl_cable_test_result_with_src" },
	{ 0x33f62329, "ethnl_cable_test_fault_length_with_src" },
	{ 0xb850fa99, "phy_modify_mmd" },
	{ 0x16bfa00c, "genphy_soft_reset" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
