#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xb0db5a71, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x6d448970, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x00397037, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x74276a0d, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x66b32e7a, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x6c52860a, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x5ef846b3, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xa5f8b138, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x041340e0, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xd2911664, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x47ec0b44, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x1a5af39f, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xd18d5da7, "_gpl");
SYMBOL_CRC(usbnet_open, 0xa73ccaef, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xccdf95a5, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xb5dff81c, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x77ed58dd, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xb2b9a6dc, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x07524641, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x1ab3bb8a, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xf342c1c5, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x9266ee4f, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xe8518d7c, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xfdde03e2, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x25b3bf41, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xf4d0b518, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x37b84126, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x8e620e0e, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xe33a3bad, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x21994741, "");
SYMBOL_CRC(usbnet_manage_power, 0x6ed7d71b, "");
SYMBOL_CRC(usbnet_link_change, 0x418d5b7f, "");
SYMBOL_CRC(usbnet_read_cmd, 0x0d30a2d8, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x1df03fc3, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x39a83a7b, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x3e1a0974, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xf43e80cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31f1692, "usb_set_interface" },
	{ 0x688a190e, "usb_string" },
	{ 0x58f0c4bc, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x771e7992, "skb_defer_rx_timestamp" },
	{ 0xc1928d7e, "netif_rx" },
	{ 0xf70ea740, "eth_type_trans" },
	{ 0xfa0f99b9, "skb_queue_tail" },
	{ 0x37d0d526, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x55c43b76, "skb_queue_purge_reason" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xfe3dfbe3, "usb_get_urb" },
	{ 0x5d3dd7e6, "usb_unlink_urb" },
	{ 0x114f7bc, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d7f3167, "usb_submit_urb" },
	{ 0x995c9949, "netdev_err" },
	{ 0x31ab3f86, "mii_ethtool_get_link_ksettings" },
	{ 0xf7548eb, "mii_ethtool_set_link_ksettings" },
	{ 0x78804fbe, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d2743d8, "unregister_netdev" },
	{ 0x8b7ff168, "usb_scuttle_anchored_urbs" },
	{ 0xb1d4c1b0, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x53e0c0, "free_netdev" },
	{ 0x51e82c7c, "netdev_info" },
	{ 0xf0357208, "netif_carrier_on" },
	{ 0x423c2fe3, "netif_carrier_off" },
	{ 0x78949c14, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3519bbfc, "usb_autopm_get_interface" },
	{ 0xf5fe299d, "usb_autopm_put_interface" },
	{ 0xb6bcd2d6, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0x822557ea, "mii_link_ok" },
	{ 0x1bfabd81, "ethtool_op_get_link" },
	{ 0x6e46541f, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xeecd8ff5, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa2e461e6, "remove_wait_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa3e80c9f, "netif_device_detach" },
	{ 0x823be782, "netif_device_attach" },
	{ 0x2655cc56, "skb_dequeue" },
	{ 0x655b0ed4, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0x86586d52, "register_netdev" },
	{ 0x6516c313, "pm_runtime_enable" },
	{ 0x2056c9fd, "skb_clone_tx_timestamp" },
	{ 0xdc2f1351, "usb_autopm_get_interface_async" },
	{ 0x89c92cee, "dev_kfree_skb_any_reason" },
	{ 0xabf11669, "skb_tstamp_tx" },
	{ 0xc0285749, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x89086647, "__netdev_alloc_skb" },
	{ 0x4ba8b3db, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0x15a258c6, "netif_tx_wake_queue" },
	{ 0xa2dc27eb, "usb_get_from_anchor" },
	{ 0xd307a183, "usb_autopm_get_interface_no_resume" },
	{ 0xf31f815c, "skb_put" },
	{ 0xb1ae642d, "usb_clear_halt" },
	{ 0x4c2d004b, "eth_mac_addr" },
	{ 0x773e626a, "eth_validate_addr" },
	{ 0xff0c0379, "dev_get_tstats64" },
	{ 0xff3411d9, "ethtool_op_get_ts_info" },
	{ 0x410ebcb2, "param_ops_int" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "A12581BF32F5EC08990C3D3");
MODULE_INFO(rhelversion, "9.7");
