#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x2d09054f, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xbcc22a2d, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x75148c0e, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0xed59b501, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xd22bcc32, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x1ba85f31, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd79c2661, "ida_alloc_range" },
	{ 0x926d6c49, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xabe6e910, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf31f815c, "skb_put" },
	{ 0x2c8bc168, "dev_set_name" },
	{ 0x4ba8b3db, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x35a8d6c5, "device_unregister" },
	{ 0x2655cc56, "skb_dequeue" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xdd82ec62, "finish_wait" },
	{ 0x34330fb4, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x173748d5, "device_for_each_child" },
	{ 0x706d6e90, "prepare_to_wait_event" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0xc7e99d87, "rtnl_create_link" },
	{ 0xebfe41ed, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x55c43b76, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf6e9b37, "alloc_netdev_mqs" },
	{ 0xc2af8a75, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd588645c, "put_device" },
	{ 0xcb6a4e46, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa47ced9, "_dev_info" },
	{ 0xfa0f99b9, "skb_queue_tail" },
	{ 0xc71ccd68, "rtnl_configure_link" },
	{ 0x523f1143, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa4190776, "rtnl_link_unregister" },
	{ 0x272f9ebc, "init_net" },
	{ 0x5604d0c, "skb_pull" },
	{ 0xe3cb08c9, "sk_skb_reason_drop" },
	{ 0x2739d83c, "noop_llseek" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0x62d51850, "debugfs_remove" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x85da57f7, "ida_free" },
	{ 0x53e0c0, "free_netdev" },
	{ 0x9807f93c, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5815ec31, "class_dev_iter_init" },
	{ 0xa5d9f887, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0xfc8551e, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3d3dd314, "stream_open" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xa8fd9600, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x55d8dac6, "debugfs_create_dir" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0xa3e55cf2, "class_register" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x9c6ad91b, "skb_queue_head" },
	{ 0xe0134ade, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xa3c06203, "register_netdevice" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.7");
