#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x532002cd, "");
SYMBOL_CRC(ntb_unregister_client, 0x1f4a80b6, "");
SYMBOL_CRC(ntb_register_device, 0x27876468, "");
SYMBOL_CRC(ntb_unregister_device, 0xa4f938ff, "");
SYMBOL_CRC(ntb_set_ctx, 0x835b38ce, "");
SYMBOL_CRC(ntb_clear_ctx, 0xab9c89ec, "");
SYMBOL_CRC(ntb_link_event, 0x32d7ddbb, "");
SYMBOL_CRC(ntb_db_event, 0x99bbef8e, "");
SYMBOL_CRC(ntb_msg_event, 0x97f1fa98, "");
SYMBOL_CRC(ntb_default_port_number, 0x1e312b17, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x966fba42, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x6c1a12e2, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x3b464709, "");
SYMBOL_CRC(ntb_msi_init, 0x1ce4e825, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xfb8df3ad, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xe2e68127, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xaefbae4a, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xdf5df07a, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x2c95e819, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x07884e22, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xd18ec65e, "devm_request_threaded_irq" },
	{ 0x98a0ca7c, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x2c8bc168, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x380e8d85, "devm_iounmap" },
	{ 0x35a8d6c5, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0x1127e0c5, "devres_destroy" },
	{ 0xbdc59ff4, "msi_unlock_descs" },
	{ 0x1fd313a4, "devm_ioremap" },
	{ 0xfe23a3e0, "get_device" },
	{ 0xa3e65163, "msi_lock_descs" },
	{ 0x863f8d30, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd588645c, "put_device" },
	{ 0xaab93a65, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x606fa4dd, "bus_unregister" },
	{ 0x12a5406b, "devm_kfree" },
	{ 0x26b08c2, "irq_get_irq_data" },
	{ 0x8a7fd649, "__devres_alloc_node" },
	{ 0x5cbb8b79, "driver_unregister" },
	{ 0xa5d9f887, "device_register" },
	{ 0xe3216585, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1048002f, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5a71c166, "msi_next_desc" },
	{ 0xb0cf7127, "driver_register" },
	{ 0x12acf6bc, "bus_register" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
MODULE_INFO(rhelversion, "9.7");
