#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x9180d5bd, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3faf9498, "nvme_remove_admin_tag_set" },
	{ 0x7421bb49, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd79c2661, "ida_alloc_range" },
	{ 0x119e11dd, "nvme_uninit_ctrl" },
	{ 0xcfd9709c, "ida_destroy" },
	{ 0x4ee24c4a, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2591f1e5, "nvmf_free_options" },
	{ 0x9314e9f7, "nvmf_subsystem_reset" },
	{ 0x1e15dfd1, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xdd82ec62, "finish_wait" },
	{ 0x2353b654, "nvme_stop_keep_alive" },
	{ 0x4cbcccba, "blk_mq_complete_request_remote" },
	{ 0x5d6831a0, "dma_unmap_page_attrs" },
	{ 0x6962cda1, "nvme_setup_cmd" },
	{ 0x8af10f8a, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xd02a22b0, "nvme_alloc_admin_tag_set" },
	{ 0x6440566d, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x706d6e90, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xa77a7b0e, "nvmf_reg_read32" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0x78c58a0b, "nvme_delete_ctrl" },
	{ 0xfe23a3e0, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6c263ccb, "dev_driver_string" },
	{ 0xad5b95dc, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeb70eae5, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbcd023eb, "nvme_remove_io_tag_set" },
	{ 0x5de60dc5, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab25db58, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x161335c3, "nvmf_unregister_transport" },
	{ 0x20d9e642, "blkcg_get_fc_appid" },
	{ 0xd588645c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x281b2741, "nvme_change_ctrl_state" },
	{ 0xa47ced9, "_dev_info" },
	{ 0x65f557fc, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9004562c, "nvme_alloc_io_tag_set" },
	{ 0x360c9204, "nvme_fail_nonready_command" },
	{ 0x94cc1632, "kobject_uevent_env" },
	{ 0x1634f18c, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9e474cfc, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0xfe265fb9, "device_create" },
	{ 0x7f8ce7d0, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x677a4456, "__blk_rq_map_sg" },
	{ 0x85da57f7, "ida_free" },
	{ 0xe0442988, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9807f93c, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xed70cc90, "nvmf_connect_admin_queue" },
	{ 0x32ea6aea, "nvme_enable_ctrl" },
	{ 0xd970c265, "nvme_unquiesce_admin_queue" },
	{ 0xe3216585, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x475358bb, "nvme_unquiesce_io_queues" },
	{ 0x54611d97, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x289fb9f2, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbd979f64, "nvmf_should_reconnect" },
	{ 0xc1248655, "__dma_sync_single_for_device" },
	{ 0x3006caa1, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7999cb, "device_destroy" },
	{ 0x3fe367b, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xa9e1e795, "nvmf_register_transport" },
	{ 0x8e30a2be, "blk_mq_start_request" },
	{ 0xd954fe96, "nvme_quiesce_io_queues" },
	{ 0x6a2b4a0d, "blk_mq_tagset_busy_iter" },
	{ 0x511e864b, "nvme_stop_ctrl" },
	{ 0x8a9b695f, "dma_unmap_sg_attrs" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0x8cbd939f, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xaf72251f, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xc6ef0050, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa3e55cf2, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85f16197, "__nvme_check_ready" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x2baa3cf0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe49b22d7, "nvme_add_ctrl" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "304B7BC315F7CFED2851AD9");
MODULE_INFO(rhelversion, "9.7");
