#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xc699733f, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xfefb87f3, "_gpl");
SYMBOL_CRC(sas_free_task, 0x27f77ceb, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xaf980e94, "");
SYMBOL_CRC(sas_resume_ha, 0xdc24ab04, "");
SYMBOL_CRC(sas_suspend_ha, 0xbfe9bdea, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xeecde2ec, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x0c4da56a, "_gpl");
SYMBOL_CRC(sas_register_ha, 0xd1604485, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xaf55e506, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x92a07c9a, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xe5d8d970, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x0096c348, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xf6d4e71e, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xf23f9683, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x832e2d7f, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x723e199f, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x0250aa65, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xf731abf3, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x7753f5f2, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x46f8e029, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x43a55762, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x0adb449f, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x3e27a55c, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x5b8c4836, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x84dcc3e2, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x811e3e9c, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x2cd2cb1b, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x59b2fdc3, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x918a53fd, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x290a0880, "ata_qc_complete" },
	{ 0xa9e8eb76, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xad13b7f4, "sas_rphy_remove" },
	{ 0x5401d690, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf6b728bd, "ata_sas_port_destroy" },
	{ 0x311ef2ce, "bsg_job_done" },
	{ 0xc70cedea, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6b42995a, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xbada0d33, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xdd82ec62, "finish_wait" },
	{ 0x6a5efd, "scsi_schedule_eh" },
	{ 0x79d7b3cc, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x1fbcb2b8, "ata_host_init" },
	{ 0xa8466a5, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x9670a78e, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x166f0191, "sas_port_get_phy" },
	{ 0x78e3e008, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x706d6e90, "prepare_to_wait_event" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xc4cf37a, "kmem_cache_create" },
	{ 0xfe23a3e0, "get_device" },
	{ 0x8c14ffd0, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf010a5dd, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd588645c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x439a16cf, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xd630be73, "kmem_cache_alloc" },
	{ 0xa47ced9, "_dev_info" },
	{ 0x5f66097f, "sas_phy_free" },
	{ 0x95890e82, "scsi_eh_finish_cmd" },
	{ 0x33f9dabf, "ata_sas_port_alloc" },
	{ 0x38c3975, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0xeb15ddd1, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0xc3ade8b1, "sas_port_mark_backlink" },
	{ 0xd00c46f0, "kmem_cache_free" },
	{ 0xb8a9c6e9, "ata_std_qc_defer" },
	{ 0x1f24665, "ata_sas_port_start" },
	{ 0x11eb21df, "ata_scsi_port_error_handler" },
	{ 0xfdb74dc, "ata_change_queue_depth" },
	{ 0xe3fc10ec, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x753cee9, "sas_end_device_alloc" },
	{ 0x9b1cdcc9, "mutex_lock_interruptible" },
	{ 0x930e5caf, "sas_read_port_mode_page" },
	{ 0x9a82d5a3, "sas_expander_alloc" },
	{ 0xfabe1c78, "ata_sas_port_stop" },
	{ 0xe3216585, "_dev_warn" },
	{ 0xfcd5077a, "sas_rphy_delete" },
	{ 0xc1d5e98c, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc006a2a, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xf8616797, "scsi_host_busy" },
	{ 0x2ff6f500, "ata_sas_async_probe" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0xd0270663, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x178f4426, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1b73b8a3, "ata_sas_port_suspend" },
	{ 0xa07531ec, "sas_rphy_add" },
	{ 0xbd5ed56b, "sas_port_delete_phy" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb14fffec, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x96333187, "sas_port_add_phy" },
	{ 0x7b3eca85, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xdf1a1e8, "scsi_unblock_requests" },
	{ 0xa9649c7a, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xc5e328a8, "ata_host_put" },
	{ 0x3d3b0796, "sas_port_free" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xae76e1b2, "ata_std_sched_eh" },
	{ 0x10e3be95, "scsi_block_requests" },
	{ 0x37bd7c7c, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0x2ab25e69, "sas_remove_children" },
	{ 0xbdda508c, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8e5dc43f, "ata_port_wait_eh" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x6aea2569, "kmem_cache_destroy" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.7");
