#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x62946775, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xaeee8163, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x826c8ed4, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x0f32ecc2, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x71e9c25f, "");
SYMBOL_CRC(sdw_show_ping_status, 0x2b23eec4, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x5e0af1c2, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x00fa1560, "");
SYMBOL_CRC(sdw_write_no_pm, 0x1226f563, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x2593bb21, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xb8c10152, "");
SYMBOL_CRC(sdw_read_no_pm, 0x7cb334e0, "");
SYMBOL_CRC(sdw_update_no_pm, 0x18ebe5a2, "");
SYMBOL_CRC(sdw_update, 0x2259d755, "");
SYMBOL_CRC(sdw_nread, 0x006aa48f, "");
SYMBOL_CRC(sdw_nwrite, 0xa86ed4af, "");
SYMBOL_CRC(sdw_read, 0xc1d95764, "");
SYMBOL_CRC(sdw_write, 0xc5f8d415, "");
SYMBOL_CRC(sdw_compare_devid, 0x52205b60, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x7efb71d0, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x5d76019b, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x5c2f5109, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x44bf008c, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x55cedd60, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x195faa4c, "");
SYMBOL_CRC(sdw_slave_add, 0x73380112, "");
SYMBOL_CRC(sdw_master_read_prop, 0xf96e6edd, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x93276cd1, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x951f104f, "");
SYMBOL_CRC(sdw_stream_remove_master, 0xb0166711, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xca565a12, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x4a62ac17, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd1f2139a, "debugfs_create_str" },
	{ 0xd79c2661, "ida_alloc_range" },
	{ 0x70b7e79e, "device_property_present" },
	{ 0xfad815ac, "devm_device_add_groups" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2ff25bf, "is_acpi_device_node" },
	{ 0xa466be8f, "simple_attr_open" },
	{ 0xf7e155dc, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x98a0ca7c, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c8bc168, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x35a8d6c5, "device_unregister" },
	{ 0x7d62353b, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xb8e381b6, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x79d7b3cc, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c79ab19, "seq_lseek" },
	{ 0xa772097d, "dev_pm_domain_attach" },
	{ 0x9d14d0c8, "devm_device_add_group" },
	{ 0x173748d5, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x58f0c4bc, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8c2de6d, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x926efce9, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd588645c, "put_device" },
	{ 0x6516c313, "pm_runtime_enable" },
	{ 0xa5783d80, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6f6f667d, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xf43a3109, "dev_pm_domain_detach" },
	{ 0xa5724970, "pm_generic_runtime_suspend" },
	{ 0x975e50b9, "debugfs_attr_read" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x606fa4dd, "bus_unregister" },
	{ 0x9e474cfc, "_dev_err" },
	{ 0x5fd59684, "simple_attr_release" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0x62d51850, "debugfs_remove" },
	{ 0x85da57f7, "ida_free" },
	{ 0x5cbb8b79, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa5d9f887, "device_register" },
	{ 0x89544936, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xe3216585, "_dev_warn" },
	{ 0x665f66a8, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe7322263, "devm_kasprintf" },
	{ 0xe036a108, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x386703a9, "fwnode_property_present" },
	{ 0xf59df157, "debugfs_create_file" },
	{ 0x7092d17d, "__pm_runtime_resume" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0x76146f1f, "device_get_named_child_node" },
	{ 0x28580878, "seq_printf" },
	{ 0x9b535d12, "irq_create_mapping_affinity" },
	{ 0xb8a37c71, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x38b882f6, "acpi_dev_for_each_child" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xe8d30864, "__pm_runtime_suspend" },
	{ 0x53073213, "irq_set_chip" },
	{ 0xaa243e80, "__pm_runtime_use_autosuspend" },
	{ 0x92215b08, "single_open" },
	{ 0x4e938031, "__pm_runtime_disable" },
	{ 0x55d8dac6, "debugfs_create_dir" },
	{ 0xb0cf7127, "driver_register" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0x2df03de0, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x12acf6bc, "bus_register" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DF7AD7DD390B1F51ACFC414");
MODULE_INFO(rhelversion, "9.7");
