#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1d4c1b0, "usb_kill_urb" },
	{ 0x76d3559b, "usb_deregister" },
	{ 0xb6bcd2d6, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x5b7f7c58, "usb_stor_adjust_quirks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe3216585, "_dev_warn" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xc0285749, "usb_anchor_urb" },
	{ 0x9d7f3167, "usb_submit_urb" },
	{ 0xf9018045, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaeb26ab9, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2f159da0, "usb_kill_anchored_urbs" },
	{ 0xab6a7526, "scsi_remove_host" },
	{ 0x356457e, "scsi_host_put" },
	{ 0x64ab6b11, "usb_lock_device_for_reset" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0x8d30b0ec, "scsi_host_alloc" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0x23046a87, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5d3dd7e6, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x863a7867, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbe505e21, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x31f1692, "usb_set_interface" },
	{ 0x8b6397b1, "usb_reset_device" },
	{ 0x2740ce34, "usb_alloc_streams" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x651471ea, "scsi_report_bus_reset" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xdf1a1e8, "scsi_unblock_requests" },
	{ 0x56fb4c72, "dev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8a668bcf, "usb_wait_anchor_empty_timeout" },
	{ 0x10e3be95, "scsi_block_requests" },
	{ 0x8ee84d4b, "scmd_printk" },
	{ 0xb357000c, "scsi_print_command" },
	{ 0x114f7bc, "usb_free_urb" },
	{ 0x735f6dec, "scsi_scan_host" },
	{ 0x58f0c4bc, "__dynamic_dev_dbg" },
	{ 0x9e474cfc, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb43d66c8, "sdev_prefix_printk" },
	{ 0xbdda508c, "scsi_change_queue_depth" },
	{ 0xc1d5e98c, "scsi_is_host_device" },
	{ 0xfe3dfbe3, "usb_get_urb" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "9CB54CC62355B7FD02CB170");
MODULE_INFO(rhelversion, "9.7");
