#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x2fd71734, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x96cffc46, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x7e7c1b0b, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0xbad2dc23, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0xf2e72385, "_gpl");
SYMBOL_CRC(lockd_up, 0x18de4169, "_gpl");
SYMBOL_CRC(lockd_down, 0xe9a98a89, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xb3302582, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ef0c63b, "rpc_put_task" },
	{ 0xdf7bffa9, "svc_generic_rpcbind_set" },
	{ 0x7e7f62f5, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf2280fb4, "__init_rwsem" },
	{ 0xd0a96bf0, "bpf_trace_run4" },
	{ 0x3be3ef95, "param_ops_uint" },
	{ 0x4955d91a, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb578e6e8, "rpc_shutdown_client" },
	{ 0x6f9dce51, "svc_bind" },
	{ 0xe4c5c231, "proc_create" },
	{ 0xb631eb54, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x661fbea8, "xdr_inline_decode" },
	{ 0x7111f426, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xdd82ec62, "finish_wait" },
	{ 0xe7521a45, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xc4409d13, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x714f0596, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb4f51ce9, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf7ee6a1, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x16befd37, "svc_exit_thread" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x706d6e90, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xffe16c5d, "event_triggers_call" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x39fe36d4, "param_get_ulong" },
	{ 0xd3e8fec4, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c04ad26, "__put_cred" },
	{ 0x8ad4bb2e, "register_pernet_subsys" },
	{ 0x606fd66e, "locks_in_grace" },
	{ 0x189acea8, "wake_up_process" },
	{ 0x9dc44aec, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd1a582ef, "proc_dobool" },
	{ 0x6f1010d4, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x22e628c8, "unregister_sysctl_table" },
	{ 0x328cd616, "trace_event_ignore_this_pid" },
	{ 0x2ac469a3, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x3c3487f7, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x78fe59ee, "simple_transaction_release" },
	{ 0x16a6f9e5, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd042cdcc, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2b95b31a, "perf_trace_run_bpf_submit" },
	{ 0xcd7b5db1, "down_write" },
	{ 0x272f9ebc, "init_net" },
	{ 0xd427aa17, "up_write" },
	{ 0x3d3adafc, "svc_set_num_threads" },
	{ 0xd24d0c19, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0x8b845792, "vfs_cancel_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbd7d3669, "proc_doulongvec_minmax" },
	{ 0xe7996192, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0x48057b9b, "freezing_slow_path" },
	{ 0xb53f03b2, "rpc_create" },
	{ 0x59d4f87e, "svc_destroy" },
	{ 0xfb97b0e3, "rpc_call_start" },
	{ 0xdd4f4c8b, "svc_create" },
	{ 0xacdb7f7f, "default_llseek" },
	{ 0xa064d249, "rpc_call_sync" },
	{ 0x54895205, "proc_mkdir" },
	{ 0x3668ad0f, "unregister_pernet_subsys" },
	{ 0x3b5bc004, "vfs_lock_file" },
	{ 0xbbc75a97, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0x49774515, "svc_generic_init_request" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xc4ef6beb, "down_read" },
	{ 0x17583b70, "svc_set_client" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0xef006043, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc1e356ed, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x95a43f34, "rpc_force_rebind" },
	{ 0xac551b5c, "trace_event_buffer_reserve" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4f9109b5, "param_ops_bool" },
	{ 0x98dfc112, "rpc_restart_call" },
	{ 0xc5a10d14, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x6bae7aaa, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc491fed9, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf7c67505, "proc_dointvec" },
	{ 0x1fb13824, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xa64242ce, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0xfff638c0, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xb95e1a5c, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf42ebc7d, "up_read" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0x7f76d1f6, "svc_xprt_create" },
	{ 0xb6db7f34, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x76133b02, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd70369e6, "proc_dointvec_minmax" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "3C2D9F040CFB69F6A64DCE9");
MODULE_INFO(rhelversion, "9.7");
