#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x71839daf, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x8a9b1c8a, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x2c6bd429, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x9ca880e0, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x0f4d29a0, "_gpl");
SYMBOL_CRC(br_forward, 0x480866ac, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x66437025, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x0285725c, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xed4854d1, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x0c6d9ddf, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x81befbf2, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x346541b3, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x43d2f6ba, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xc299ba9c, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xdd840739, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x5dc066d3, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xcd5d63ae, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x226fca00, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xe0f83ca0, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x2d762e2d, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xb25ae35d, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x6a6dd408, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xc09a6f23, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x3bbeafe5, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x425f7fe7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e1ed524, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1fb9f55f, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xeba362f9, "skb_copy_bits" },
	{ 0xabe6e910, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdf14b8df, "ipv6_mc_check_mld" },
	{ 0xf31f815c, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x427b0ad, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe6db042c, "netdev_update_features" },
	{ 0x4ba8b3db, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xf3d8edc8, "dev_uc_del" },
	{ 0x34330fb4, "rtnl_link_register" },
	{ 0x63cfe048, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe9758e13, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6caaff2, "dev_set_promiscuity" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6edef6ff, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xebfe41ed, "unregister_netdevice_queue" },
	{ 0xc4cf37a, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x344a9d79, "netdev_state_change" },
	{ 0x689f153, "__pskb_copy_fclone" },
	{ 0x544ca099, "__dev_get_by_name" },
	{ 0x287ff576, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x995c9949, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xedc549d1, "pskb_expand_head" },
	{ 0x8ad4bb2e, "register_pernet_subsys" },
	{ 0xe2ea2293, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xc47e5fbb, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf6e9b37, "alloc_netdev_mqs" },
	{ 0x9b4d61ce, "passthru_features_check" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x30500034, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe36f1b61, "__SCK__tp_func_br_mdb_full" },
	{ 0x468f38af, "rtnl_af_register" },
	{ 0xbb866424, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xcb6a4e46, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd630be73, "kmem_cache_alloc" },
	{ 0x9d09ef96, "rtnl_set_sk_err" },
	{ 0x4168c833, "skb_vlan_pop" },
	{ 0xf77cd581, "rtnl_unicast" },
	{ 0x1e083819, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7120cf36, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x480a5a21, "nla_reserve_64bit" },
	{ 0xbbfd95fc, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf879ab74, "__dev_get_by_index" },
	{ 0xa4190776, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x272f9ebc, "init_net" },
	{ 0x16194047, "ipv6_stub" },
	{ 0x68eb04ee, "inet_confirm_addr" },
	{ 0x5604d0c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x98bfe2e8, "sysfs_remove_link" },
	{ 0x3b4e416d, "skb_vlan_untag" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x69906995, "__SCK__tp_func_br_fdb_add" },
	{ 0xe0db34c2, "rtnl_af_unregister" },
	{ 0xe3cb08c9, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2c7a09cc, "arp_send" },
	{ 0xca3f841, "dev_get_by_index_rcu" },
	{ 0xe8a33da8, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x11bfd55c, "skb_push" },
	{ 0xd00c46f0, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7311787c, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x317ae43f, "netdev_upper_dev_unlink" },
	{ 0x5d868763, "netif_receive_skb" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2e28e19b, "llc_mac_hdr_init" },
	{ 0x53e0c0, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc7de73e3, "__SCK__tp_func_fdb_delete" },
	{ 0x75e47e4a, "kobject_init_and_add" },
	{ 0xa7e71566, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7ccb5124, "ns_capable" },
	{ 0x8c85f7b9, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x529d16a8, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1bfabd81, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xe279e8f8, "arp_create" },
	{ 0x632ceb33, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa303c7fa, "stp_proto_register" },
	{ 0xb580d5b5, "rtnl_register_module" },
	{ 0x557fd760, "__tracepoint_br_fdb_update" },
	{ 0x704658e0, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3668ad0f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2bba071f, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x339bb663, "__pskb_pull_tail" },
	{ 0xff0c0379, "dev_get_tstats64" },
	{ 0xc1928d7e, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xa57480dd, "ip_mc_check_igmp" },
	{ 0x89086647, "__netdev_alloc_skb" },
	{ 0x27a5b71d, "rhashtable_destroy" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0x2010199d, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x74fe3979, "kobject_create_and_add" },
	{ 0x22ee7dec, "skb_trim" },
	{ 0x442c1908, "nf_hook_slow" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x37d0d526, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa2719cfb, "__ip_mc_inc_group" },
	{ 0xbdeb5f96, "netdev_walk_all_upper_dev_rcu" },
	{ 0x1711bee5, "sysfs_remove_group" },
	{ 0x48832f54, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x7dbd932d, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x46ed27de, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc5211889, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc0bef4c3, "vlan_vid_add" },
	{ 0xc43b48a9, "neigh_destroy" },
	{ 0x824f6826, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x9afb8f1b, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x18cb5864, "__SCK__tp_func_br_fdb_update" },
	{ 0xa43418ef, "call_netdevice_notifiers" },
	{ 0x68518418, "is_skb_forwardable" },
	{ 0x3fcdb9ea, "vlan_vid_del" },
	{ 0x2894069a, "dev_set_allmulti" },
	{ 0xf6926c1f, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x982bcf59, "netdev_master_upper_dev_get" },
	{ 0xb3bd3d84, "ipv6_dev_mc_inc" },
	{ 0x8b09fd0e, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x423c2fe3, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x53d6d9a7, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc4f854fb, "skb_clone" },
	{ 0xcd905d13, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x3bbec5fb, "metadata_dst_alloc" },
	{ 0x8cfcb035, "dst_release" },
	{ 0xf0357208, "netif_carrier_on" },
	{ 0xb5900e8e, "kobject_uevent" },
	{ 0x8eea49e0, "arp_tbl" },
	{ 0xc248d132, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x729b11e, "netdev_rx_handler_register" },
	{ 0x85efbce3, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1e58497c, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x244b9408, "dev_disable_lro" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0x44377591, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xff91f3ac, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x89c92cee, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x36c6691b, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xfedeb597, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x6eb85a65, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xebfbdb54, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xce1dc22f, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x9f68add2, "neigh_lookup" },
	{ 0x6aea2569, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3742aa79, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa3c06203, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "1028242921EF9F3F06F11F8");
MODULE_INFO(rhelversion, "9.7");
