#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x944d24a3, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x744a0644, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x0f1779ce, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0xd9257eaf, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x96514be2, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x3fe5928c, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x6accbdb8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb798ea43, "nf_conntrack_expect_lock" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x4183181a, "nf_ct_remove_expect" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0x9f50b49d, "__nf_ct_refresh_acct" },
	{ 0x339bb663, "__pskb_pull_tail" },
	{ 0xeba362f9, "skb_copy_bits" },
	{ 0x1f4f85ad, "nf_ct_expect_alloc" },
	{ 0xbec8dc53, "nf_ct_expect_init" },
	{ 0x12953ebd, "nf_ct_expect_put" },
	{ 0xb5d38eb5, "nf_ct_expect_related_report" },
	{ 0x9e59da65, "__nf_ct_expect_find" },
	{ 0x30b3701b, "nf_ipv6_ops" },
	{ 0x8cfcb035, "dst_release" },
	{ 0x6302aea2, "nf_ip_route" },
	{ 0xae838ac3, "nf_ct_unexpect_related" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x410ebcb2, "param_ops_int" },
	{ 0x3be3ef95, "param_ops_uint" },
	{ 0x1a7bc1b6, "param_array_ops" },
	{ 0xc84aca8d, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e452690, "nf_ct_helper_init" },
	{ 0x9ecacaf2, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x157fce65, "nf_conntrack_helpers_unregister" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xea93ea28, "nf_ct_helper_log" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "AD455FB6BE9E047D00AD0A3");
MODULE_INFO(rhelversion, "9.7");
