#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_control_add, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_run, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_stop, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0xa0b020fe, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x1b1c86f1, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x894458f3, "_gpl");
SYMBOL_CRC(wm_adsp_control_add, 0x2973ebf9, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0xad1d7b39, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0xc64ccac0, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x425d72a0, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0xe969c043, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0x90847235, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0x89b21e91, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x321eb89e, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0xada5c209, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x7e502f78, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x4bd77d44, "_gpl");
SYMBOL_CRC(wm_adsp_run, 0x2a76ff1b, "_gpl");
SYMBOL_CRC(wm_adsp_stop, 0xedacc164, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x7366aac4, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x24eb1cbd, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0xd7f9d03c, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x4bd625a1, "_gpl");
SYMBOL_CRC(wm_halo_init, 0xf2f255ae, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0xdfca537f, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x8965c656, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0xbe94aaa6, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0xc908b221, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0xe157ecb3, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0x50fcbfa3, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xb636b07c, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0xd560b952, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x89978f85, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x80d46dc0, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4485be8f, "snd_soc_component_force_enable_pin" },
	{ 0xfdd5b82c, "firmware_request_nowarn" },
	{ 0x73737187, "cs_dsp_cleanup_debugfs" },
	{ 0xe4e26b9, "cs_dsp_coeff_read_ctrl" },
	{ 0x70097e50, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5e8dd6d7, "cs_dsp_stop" },
	{ 0x8fdd6c95, "cs_dsp_adsp1_power_up" },
	{ 0x1f4005c6, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0xdfb3dbb8, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbfea3d7, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb6b416d5, "cs_dsp_init_debugfs" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0xd5d9fa0a, "cs_dsp_halo_bus_error" },
	{ 0x58f0c4bc, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4417ec9b, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb7a64c0e, "cs_dsp_find_alg_region" },
	{ 0xa7370077, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xa75916d3, "cs_dsp_get_ctl" },
	{ 0xa47ced9, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9e474cfc, "_dev_err" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0xffa09f7a, "cs_dsp_halo_init" },
	{ 0x75683846, "cs_dsp_power_down" },
	{ 0xf4d34bfa, "cs_dsp_adsp2_init" },
	{ 0x30d0681f, "snd_soc_add_component_controls" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x25ec2ecf, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xea54184f, "cs_dsp_set_dspclk" },
	{ 0xe3216585, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x334d1375, "cs_dsp_power_up" },
	{ 0x51a13239, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xb4b0c2cb, "cs_dsp_run" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x55b90151, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdc275b9c, "cs_dsp_halo_wdt_expire" },
	{ 0xca7007ff, "snd_soc_component_disable_pin" },
	{ 0x18cc82c2, "snd_soc_bytes_tlv_callback" },
	{ 0x6af6b937, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xddd08424, "cs_dsp_read_raw_data_block" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xdd6b374e, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "39FD9C91EF284C6D7CC5478");
MODULE_INFO(rhelversion, "9.7");
