#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(accel_open, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0xdd4b8477, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x4da61285, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x39d3a7df, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x39560c63, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xd2c13482, "");
SYMBOL_CRC(drm_atomic_state_init, 0xf7376823, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xa6035628, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x3bb3c820, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x1fa858d1, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x32fb2f02, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x80fcc821, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x077045b5, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0xfddcf983, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x527b148a, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x6aeaced3, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xeb9b8cc4, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x15065124, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x94771333, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x60c8bccd, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x6a9a14df, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xbff4c507, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xd44326f5, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x627c6e7d, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x91cf4d9d, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xa980815e, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xd3efd94e, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x217f3be3, "");
SYMBOL_CRC(drm_atomic_check_only, 0xebf62f82, "");
SYMBOL_CRC(drm_atomic_commit, 0x4dd989f3, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xa489d169, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0xdb9101a8, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x8965b2e3, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x4a95b6b6, "");
SYMBOL_CRC(drm_state_dump, 0xee893b6e, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x6ec466ec, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xb6aa5b1a, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xb1d1f078, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xd03134db, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0xe0ca1a7f, "");
SYMBOL_CRC(drm_is_current_master, 0xd0b69944, "");
SYMBOL_CRC(drm_master_get, 0xe42ad0d7, "");
SYMBOL_CRC(drm_file_get_master, 0x80ab5bbb, "");
SYMBOL_CRC(drm_master_put, 0x3f921b61, "");
SYMBOL_CRC(drm_master_internal_acquire, 0xece1a14e, "");
SYMBOL_CRC(drm_master_internal_release, 0xbb6614fd, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x0390feb9, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xba79d6da, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xaf0b0ab6, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0xe77c82b3, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xb5cf07bd, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x4b946c06, "");
SYMBOL_CRC(drm_bridge_add, 0xe8014066, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x7b48fc57, "");
SYMBOL_CRC(drm_bridge_remove, 0xc78325cc, "");
SYMBOL_CRC(drm_bridge_attach, 0xd273998f, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x9242905b, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0xcf8cbdf0, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x23cfecb4, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x71134496, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x2015e2b0, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x80c5129e, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xdce23684, "");
SYMBOL_CRC(drm_bridge_detect, 0x8d433e71, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x5151bfc4, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x11387d45, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x6d2e330e, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xedc3dcac, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x791db5bc, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x083ee3bb, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0xc67f529e, "");
SYMBOL_CRC(drm_client_register, 0x9b593d59, "");
SYMBOL_CRC(drm_client_release, 0x4f6e4dcf, "");
SYMBOL_CRC(drm_client_dev_unregister, 0xf5f65263, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xfaa59ed8, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0x7b674bea, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0x02428e71, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x2945c26f, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x838f0357, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x9b208824, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x0c11e114, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x96d75b6d, "");
SYMBOL_CRC(drm_client_modeset_probe, 0xa8b822e3, "");
SYMBOL_CRC(drm_client_rotation, 0x58612090, "");
SYMBOL_CRC(drm_client_modeset_check, 0x81c00f40, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0xcbd50b11, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x06851d92, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x816bd457, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0xd320b7e5, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xe68867ef, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x5d015a45, "");
SYMBOL_CRC(drm_color_lut_check, 0x1356c97d, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xb0105415, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x783342cc, "");
SYMBOL_CRC(drmm_connector_init, 0x9db80e98, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0xd03dfbcc, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x3d8d23e7, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xb1fb5d52, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x3fc93ad8, "");
SYMBOL_CRC(drm_connector_cleanup, 0x83a720e4, "");
SYMBOL_CRC(drm_connector_register, 0x7119f165, "");
SYMBOL_CRC(drm_connector_unregister, 0x2a6682a1, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x47371cd4, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x0a341c6a, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x68c6d509, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xb3d9786f, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0xe52495bb, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x816af75e, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x9062713f, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x7f9bdaa0, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xd7e456cd, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x313b5b57, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0xd7201a7b, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x462a9848, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xb6cd520b, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x6a3528a8, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xe8348c9d, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x7d643e38, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x0f2f3093, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x15471fd7, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x491cc943, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x912658ae, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x44a43a32, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x4ca23f62, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x06892297, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0x02d220dc, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x582b5199, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x38db7fcf, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x5c0d76ac, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x59b56fab, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x27b358a3, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0xfd785c0b, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x4fde72e1, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xd0022bd6, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x72b8aea9, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x3dddc643, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xab3eea7f, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xef142678, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x3515a58f, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x3d1a9d40, "");
SYMBOL_CRC(drm_crtc_from_index, 0x8f63a426, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x37aaa2cf, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x2e5b1e56, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x585a20fd, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x7e208b4a, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x9c2d9735, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x375fda97, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x6c6fc5c4, "");
SYMBOL_CRC(drm_put_dev, 0x6ac1bdf4, "");
SYMBOL_CRC(drm_dev_enter, 0x6a641b3d, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x4498d073, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x9418624a, "");
SYMBOL_CRC(drm_dev_alloc, 0xe5148cbc, "");
SYMBOL_CRC(drm_dev_get, 0x0f46c9a8, "");
SYMBOL_CRC(drm_dev_put, 0x9a2f49af, "");
SYMBOL_CRC(drm_dev_register, 0x94968248, "");
SYMBOL_CRC(drm_dev_unregister, 0xda4497b0, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xd621ef7b, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x7cef859a, "");
SYMBOL_CRC(drm_get_edid, 0xb08c0819, "");
SYMBOL_CRC(drm_edid_read_custom, 0xa3989a3e, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x4122e384, "");
SYMBOL_CRC(drm_edid_read, 0x41a1d18e, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0xb2f44400, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0xc2edae17, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x40c86425, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x31dd2f15, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x208e4b2b, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x80f952ee, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0xafb1603d, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xb71490d3, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x3ad4e90b, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xec7eaa1b, "");
SYMBOL_CRC(drm_add_edid_modes, 0xd6382b52, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x4fdb6f99, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x358d2fe7, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xfb50145a, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x20d3ea81, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0xba351e4d, "");
SYMBOL_CRC(drm_encoder_cleanup, 0xfa3a392c, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x146e618b, "");
SYMBOL_CRC(drmm_encoder_init, 0x5e1bb1e5, "");
SYMBOL_CRC(drm_open, 0x673e795a, "");
SYMBOL_CRC(drm_release, 0x6fb49478, "");
SYMBOL_CRC(drm_release_noglobal, 0xf670928f, "");
SYMBOL_CRC(drm_read, 0x66a0178d, "");
SYMBOL_CRC(drm_poll, 0x31c39e55, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x7abcec74, "");
SYMBOL_CRC(drm_event_reserve_init, 0xe134808e, "");
SYMBOL_CRC(drm_event_cancel_free, 0x08f37f7f, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x0cfc5b70, "");
SYMBOL_CRC(drm_send_event_locked, 0xb0b05e1d, "");
SYMBOL_CRC(drm_send_event, 0x3bde1865, "");
SYMBOL_CRC(drm_print_memory_stats, 0x9bfc9dc7, "");
SYMBOL_CRC(drm_show_memory_stats, 0xf8d8bc5e, "");
SYMBOL_CRC(drm_show_fdinfo, 0xd3ceec81, "");
SYMBOL_CRC(mock_drm_getfile, 0x2b8620e7, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x448c7b21, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x7b115d6c, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xacc8f784, "");
SYMBOL_CRC(drm_framebuffer_init, 0x63778982, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xeb48106a, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x8c39d633, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x47dfde98, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x6ff195ad, "");
SYMBOL_CRC(drm_gem_object_init, 0x4126cc75, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xac59eca6, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x80926acc, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x44cd9534, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x60f98465, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x46e3246f, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x2c50a3a3, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x1d4e9442, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0xc1996f37, "");
SYMBOL_CRC(drm_gem_get_pages, 0xf32a2fb5, "");
SYMBOL_CRC(drm_gem_put_pages, 0x5bdc58dc, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0xd787e2df, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xae57d119, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x6a4a68a1, "");
SYMBOL_CRC(drm_gem_object_release, 0xab82ff57, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x15537440, "");
SYMBOL_CRC(drm_gem_vm_close, 0x5ab97a1c, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x16acbbe2, "");
SYMBOL_CRC(drm_gem_mmap, 0x50261df9, "");
SYMBOL_CRC(drm_gem_vmap, 0x1517314d, "");
SYMBOL_CRC(drm_gem_vunmap, 0xd4540fdc, "");
SYMBOL_CRC(drm_gem_lock, 0xe8949b29, "");
SYMBOL_CRC(drm_gem_unlock, 0xec19ceee, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x8dfeff58, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x6f004a9f, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x57239aef, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xb047d8a0, "");
SYMBOL_CRC(drm_gem_lru_init, 0x81c556ef, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x5dea90ce, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x6370181c, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x77627d66, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x98f566de, "");
SYMBOL_CRC(drm_gem_evict, 0x159bf2cc, "");
SYMBOL_CRC(drm_noop, 0x66cb79a9, "");
SYMBOL_CRC(drm_invalid_op, 0xa449048c, "");
SYMBOL_CRC(drm_ioctl_kernel, 0xff9c3a7a, "");
SYMBOL_CRC(drm_ioctl, 0xb1543ce1, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x19384e95, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x689febd1, "");
SYMBOL_CRC(drmm_release_action, 0x29436099, "");
SYMBOL_CRC(drmm_kmalloc, 0xb9ff48bd, "");
SYMBOL_CRC(drmm_kstrdup, 0x272ad533, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xe256d1f9, "");
SYMBOL_CRC(__drmm_mutex_release, 0x5f8741dc, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x384b280d, "");
SYMBOL_CRC(drm_mode_config_reset, 0x5838f43b, "");
SYMBOL_CRC(drmm_mode_config_init, 0xf8e59fa3, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xcc1fae9a, "");
SYMBOL_CRC(drm_mode_object_find, 0x5e231579, "");
SYMBOL_CRC(drm_mode_object_put, 0x2e28d19e, "");
SYMBOL_CRC(drm_mode_object_get, 0xbf5955c0, "");
SYMBOL_CRC(drm_object_attach_property, 0x5e761ccf, "");
SYMBOL_CRC(drm_object_property_set_value, 0xcc27a0a3, "");
SYMBOL_CRC(drm_object_property_get_value, 0x8388090f, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x77e6d2f2, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0x580c9a4a, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x250e8ce5, "");
SYMBOL_CRC(drm_mode_destroy, 0x9cd029ed, "");
SYMBOL_CRC(drm_mode_probed_add, 0xb7f37345, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x2e0bb2f9, "");
SYMBOL_CRC(drm_cvt_mode, 0x1cdc927b, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xefb6df0d, "");
SYMBOL_CRC(drm_gtf_mode, 0x7a473543, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x3b678f12, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x3fd09315, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xdf3a55b0, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x91a256a2, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x8e69e215, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x50725a9c, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x4fe717e9, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x0913b26f, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xde52bf24, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x75358092, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0xcd3cb635, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0xdd8a2ea6, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x56f09b6e, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xb690d7f2, "");
SYMBOL_CRC(drm_modeset_backoff, 0x54e3c251, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x9094d92f, "");
SYMBOL_CRC(drm_modeset_lock, 0xc256d920, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0xe28fb4e5, "");
SYMBOL_CRC(drm_modeset_unlock, 0xfe138c28, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x3ee3d246, "");
SYMBOL_CRC(drm_universal_plane_init, 0xe853549f, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x85816282, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x29c39bec, "");
SYMBOL_CRC(drm_plane_cleanup, 0xbcd60810, "");
SYMBOL_CRC(drm_plane_from_index, 0x3512e266, "");
SYMBOL_CRC(drm_plane_force_disable, 0xa77fce75, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xc161e0cf, "");
SYMBOL_CRC(drm_plane_has_format, 0x474d555c, "");
SYMBOL_CRC(drm_any_plane_has_format, 0xac7290d3, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0xcd6998f5, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x5cd6aa9e, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x9f92645f, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x86802568, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0xb4f9d1c0, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x636fc4df, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0xaee262be, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x406a5ebc, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0x95d64536, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xca8cab2b, "");
SYMBOL_CRC(drm_gem_map_attach, 0x6bf5669c, "");
SYMBOL_CRC(drm_gem_map_detach, 0xdc3fc6e3, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xb07cbe9d, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xc2749a8f, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x859adbf3, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x7020ae90, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0xdd4d85cf, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x6f7888a9, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0xe44c8c32, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0xe5c9c40b, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0xd96b3625, "");
SYMBOL_CRC(drm_gem_prime_import, 0x01b9f581, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x4028e141, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x139e3c64, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xc9f4f448, "");
SYMBOL_CRC(__drm_printfn_coredump, 0x95bf149b, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x25b1a326, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x2140e8a1, "");
SYMBOL_CRC(__drm_printfn_info, 0x4488028a, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x5fafb06f, "");
SYMBOL_CRC(__drm_printfn_err, 0x51a893c2, "");
SYMBOL_CRC(drm_puts, 0x4925085d, "");
SYMBOL_CRC(drm_printf, 0xbc0d826d, "");
SYMBOL_CRC(drm_print_bits, 0x1a01342e, "");
SYMBOL_CRC(drm_dev_printk, 0x858268ec, "");
SYMBOL_CRC(__drm_dev_dbg, 0xffd549be, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x3bab706a, "");
SYMBOL_CRC(drm_property_create, 0x18874e04, "");
SYMBOL_CRC(drm_property_create_enum, 0x0aaca38d, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x082ecc1f, "");
SYMBOL_CRC(drm_property_create_range, 0x9287bb7d, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x3ee1f277, "");
SYMBOL_CRC(drm_property_create_object, 0x70e7f580, "");
SYMBOL_CRC(drm_property_create_bool, 0xf36f8129, "");
SYMBOL_CRC(drm_property_add_enum, 0x5d27502c, "");
SYMBOL_CRC(drm_property_destroy, 0x51b6af66, "");
SYMBOL_CRC(drm_property_create_blob, 0xc8ef1614, "");
SYMBOL_CRC(drm_property_blob_put, 0x19474203, "");
SYMBOL_CRC(drm_property_blob_get, 0x7ea38cb9, "");
SYMBOL_CRC(drm_property_lookup_blob, 0xd24e7a0a, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x66290476, "");
SYMBOL_CRC(drm_property_replace_blob, 0xc6287871, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x6a265561, "");
SYMBOL_CRC(drm_syncobj_find, 0xd962941e, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x7492667e, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x6bf3428f, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x5d0cd4a5, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xf3001cd1, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0xd4fe4242, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x4b1f81df, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0xc80954f9, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xdd39f031, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0xffdb1918, "");
SYMBOL_CRC(drm_class_device_register, 0x93d47c88, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x0134cbc2, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0xd5d6b04f, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x4d8e92f3, "");
SYMBOL_CRC(drm_vblank_init, 0xb6c61bf1, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xa9468c43, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0xf6a67356, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x474df3b3, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0xb16bc8f8, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x54c30c5e, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xf5e20b02, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x8ca8ebcc, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x7af453e4, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x4681f3f7, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x94ee8e96, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xb482e234, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x2256571d, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xddc3729b, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x7f99fbae, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x238cc948, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x0447ac9d, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x7ad583dc, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0x8184d3cb, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xeea6af4a, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x0c49e1f9, "");
SYMBOL_CRC(drm_handle_vblank, 0x4d450efa, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x4494657e, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x9cc6faa4, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x3c0be357, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xb89c375e, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0xca697383, "");
SYMBOL_CRC(drm_vblank_work_init, 0xf86ef0b1, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x4174afbe, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x8c0a20dc, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xdba124e8, "");
SYMBOL_CRC(drm_vma_offset_add, 0x1e1cbc93, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x0de3d255, "");
SYMBOL_CRC(drm_vma_node_allow, 0xc57a3f88, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x106615e6, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x72193b30, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x2a81d08b, "");
SYMBOL_CRC(drm_writeback_connector_init, 0xed788724, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x9a52c53e, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0xd38a23fd, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x81d7838b, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xb825062d, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x49cdc8fa, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xe0baea30, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0xe82938b8, "");
SYMBOL_CRC(drm_panel_init, 0x8ee2d963, "");
SYMBOL_CRC(drm_panel_add, 0xa5995d65, "");
SYMBOL_CRC(drm_panel_remove, 0x504e6ccf, "");
SYMBOL_CRC(drm_panel_prepare, 0xb5d14962, "");
SYMBOL_CRC(drm_panel_unprepare, 0x69cb4131, "");
SYMBOL_CRC(drm_panel_enable, 0x8756bab5, "");
SYMBOL_CRC(drm_panel_disable, 0xf65152b9, "");
SYMBOL_CRC(drm_panel_get_modes, 0x20cefd42, "");
SYMBOL_CRC(drm_is_panel_follower, 0xceb4fe5f, "");
SYMBOL_CRC(drm_panel_add_follower, 0xe23d7b53, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x4c59bb6c, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xdfbb6378, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x43f5fcdc, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x7de31a3f, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x5fb4c9f9, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x28903d3f, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x543124f4, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xa71fe072, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x2a6c8513, "_gpl");
SYMBOL_CRC(accel_open, 0x32a0abc2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd79c2661, "ida_alloc_range" },
	{ 0xf47096c9, "try_module_get" },
	{ 0x665e54b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd91e2ae1, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x678d49d5, "alloc_anon_inode" },
	{ 0x5c9b536d, "show_class_attr_string" },
	{ 0xddb4e3fb, "kthread_cancel_work_sync" },
	{ 0x2ff25bf, "is_acpi_device_node" },
	{ 0x26dc78b0, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xf823708b, "kthread_flush_work" },
	{ 0xd0a96bf0, "bpf_trace_run4" },
	{ 0xcfd9709c, "ida_destroy" },
	{ 0x76708c71, "idr_find" },
	{ 0xb7e75c10, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3038c885, "shmem_read_folio_gfp" },
	{ 0x95d63245, "__folio_batch_release" },
	{ 0x2c8bc168, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe397caf5, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7111f426, "trace_raw_output_prep" },
	{ 0x7ea80466, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x97d9e553, "dma_resv_wait_timeout" },
	{ 0x35a8d6c5, "device_unregister" },
	{ 0x8627f6d4, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xa38bd839, "kthread_flush_worker" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xdd82ec62, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x79d7b3cc, "request_firmware" },
	{ 0xb160fb60, "class_destroy" },
	{ 0xe7521a45, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4beb4d1f, "idr_replace" },
	{ 0x310e6f0b, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x7d1dd78, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xbada7a87, "fd_install" },
	{ 0x9edad43c, "dma_fence_chain_ops" },
	{ 0x714f0596, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6d5325dd, "component_del" },
	{ 0x21ea216c, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7770752, "iput" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x7c79ab19, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x706d6e90, "prepare_to_wait_event" },
	{ 0x9cea8806, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xffe16c5d, "event_triggers_call" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0x1f78ab40, "dma_fence_add_callback" },
	{ 0x75f32834, "synchronize_srcu" },
	{ 0xa37eaa44, "dma_fence_set_deadline" },
	{ 0xfe23a3e0, "get_device" },
	{ 0x8b188fa0, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x93856179, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x189acea8, "wake_up_process" },
	{ 0x6c263ccb, "dev_driver_string" },
	{ 0xdbaddcd6, "dma_buf_map_attachment_unlocked" },
	{ 0x9dc44aec, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x89eb3bb7, "ww_mutex_trylock" },
	{ 0x5347443, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x45eeedb3, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x55b0e566, "dma_max_mapping_size" },
	{ 0xd588645c, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x328cd616, "trace_event_ignore_this_pid" },
	{ 0xa03274f4, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x41733377, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe93e2ed4, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc033233d, "dma_fence_remove_callback" },
	{ 0x83a7e7f0, "rt_write_unlock" },
	{ 0xa47ced9, "_dev_info" },
	{ 0x6a2efc52, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb39b564e, "atomic_dec_and_mutex_lock" },
	{ 0xb03e8d92, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1e083819, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xeb8edc21, "idr_remove" },
	{ 0x3e5dd4d3, "dma_fence_chain_walk" },
	{ 0x53b6fba, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2439c721, "__task_pid_nr_ns" },
	{ 0x94cc1632, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0xfee8c4fd, "__xa_alloc" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xc1119d1, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x989540c5, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2b95b31a, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf7756cf7, "fput" },
	{ 0xcd7b5db1, "down_write" },
	{ 0x9e474cfc, "_dev_err" },
	{ 0xd427aa17, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xfe40198e, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x81e8b3cf, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x98bfe2e8, "sysfs_remove_link" },
	{ 0xa66983b, "idr_alloc" },
	{ 0xd2feb0b2, "pid_task" },
	{ 0x13060cc3, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x44cf0d14, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x92bdfc76, "xa_load" },
	{ 0x2739d83c, "noop_llseek" },
	{ 0x542f4bc1, "dma_fence_signal" },
	{ 0xe86cb909, "folio_mark_accessed" },
	{ 0xaa01905c, "dma_resv_fini" },
	{ 0x5043160d, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x3f3a0d0, "dma_buf_get" },
	{ 0x62d51850, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xc1e7ce4b, "aperture_remove_conflicting_pci_devices" },
	{ 0x3571b1df, "ww_mutex_lock" },
	{ 0xe7996192, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8a46e5eb, "dma_buf_put" },
	{ 0x85da57f7, "ida_free" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x9807f93c, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x326976cc, "dma_fence_init" },
	{ 0x9b1cdcc9, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa5d9f887, "device_register" },
	{ 0xc588e5fc, "device_del" },
	{ 0x4d8d8c1d, "idr_destroy" },
	{ 0xc7d781e8, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3216585, "_dev_warn" },
	{ 0x3cbd0d42, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xcd770476, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf1ffed6a, "devm_aperture_acquire_for_platform_device" },
	{ 0xc50471e0, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x25fae161, "xa_erase" },
	{ 0x30d6b74, "check_move_unevictable_folios" },
	{ 0x56f8ae48, "bpf_trace_run3" },
	{ 0xe036a108, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0xc2941983, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xeee7e5c3, "rt_read_lock" },
	{ 0xf59df157, "debugfs_create_file" },
	{ 0xac551b5c, "trace_event_buffer_reserve" },
	{ 0xb0e39233, "dma_map_sgtable" },
	{ 0xa9ee073, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0x697e82aa, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2a44a83d, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xfc8551e, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0xbdf00993, "seq_write" },
	{ 0xc6cda20d, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x5598da89, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x64f62123, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28580878, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x27be5637, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x232b593a, "__rt_mutex_init" },
	{ 0x4a130e6e, "__srcu_read_unlock" },
	{ 0x27a0f97e, "rt_write_lock" },
	{ 0xd21f8856, "i2c_transfer" },
	{ 0x25fa79d2, "dma_fence_allocate_private_stub" },
	{ 0x3e9e9fb2, "dma_buf_detach" },
	{ 0x4ba8b3ef, "dma_fence_signal_timestamp" },
	{ 0x74534c70, "dma_fence_chain_init" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0xfef798cc, "seq_puts" },
	{ 0xb8a37c71, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x56fb4c72, "dev_printk" },
	{ 0x4ba8127b, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x5f67b2d9, "sched_set_fifo" },
	{ 0x6cc10946, "simple_release_fs" },
	{ 0x1625b51f, "dev_err_probe" },
	{ 0x8a9b695f, "dma_unmap_sg_attrs" },
	{ 0xec1b9560, "kill_anon_super" },
	{ 0xcf2457d0, "from_kuid_munged" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf4b8f492, "__devm_add_action" },
	{ 0x82be0dfb, "component_add" },
	{ 0x23b3c4fc, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8605edd9, "dma_fence_chain_find_seqno" },
	{ 0x410ebcb2, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x92215b08, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x55d8dac6, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcca42c88, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0xb26c141c, "put_pid" },
	{ 0xa3e55cf2, "class_register" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x593d63f9, "__dev_fwnode" },
	{ 0x818897e9, "pci_bus_type" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0xf459d743, "class_remove_file_ns" },
	{ 0x38a59b81, "simple_pin_fs" },
	{ 0x28c129ff, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "72DD199C6887666090552A7");
MODULE_INFO(rhelversion, "9.7");
