#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x461b33b2, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x1e4aef71, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x285ba084, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b955cf1, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x339bb663, "__pskb_pull_tail" },
	{ 0xa3c06203, "register_netdevice" },
	{ 0x40e4a9d6, "netdev_upper_dev_link" },
	{ 0x317ae43f, "netdev_upper_dev_unlink" },
	{ 0xebfe41ed, "unregister_netdevice_queue" },
	{ 0x3bbec5fb, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8690e8a, "netif_stacked_transfer_operstate" },
	{ 0x53d38b87, "linkwatch_fire_event" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0x729b11e, "netdev_rx_handler_register" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0x22ee7dec, "skb_trim" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x30500034, "netdev_rx_handler_unregister" },
	{ 0x2e1ed524, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x423c2fe3, "netif_carrier_off" },
	{ 0xc29660fa, "dev_mc_unsync" },
	{ 0x8f169ef7, "dev_uc_unsync" },
	{ 0xf3d8edc8, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x85efbce3, "dev_uc_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf0357208, "netif_carrier_on" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1e59f5d1, "genlmsg_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x34330fb4, "rtnl_link_register" },
	{ 0xf37f69e5, "genl_register_family" },
	{ 0xa4190776, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xe483e6cc, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x81e4ab5a, "crypto_alloc_aead" },
	{ 0x1465a5dd, "crypto_aead_setkey" },
	{ 0x4bcc7c6e, "crypto_aead_setauthsize" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5604d0c, "skb_pull" },
	{ 0x6f7c0ef2, "___pskb_trim" },
	{ 0x287ff576, "ether_setup" },
	{ 0x8cfcb035, "dst_release" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x5a214c56, "dev_mc_sync" },
	{ 0x1d18cf7a, "dev_uc_sync" },
	{ 0x2894069a, "dev_set_allmulti" },
	{ 0xe6caaff2, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xbd668bf9, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc5211889, "__dev_queue_xmit" },
	{ 0xc4f854fb, "skb_clone" },
	{ 0x4ba8b3db, "consume_skb" },
	{ 0x3cfaa24b, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe9d7e7e4, "skb_to_sgvec" },
	{ 0xfaf9b682, "crypto_aead_decrypt" },
	{ 0xe3cb08c9, "sk_skb_reason_drop" },
	{ 0x3a40ae4, "skb_copy" },
	{ 0xf70ea740, "eth_type_trans" },
	{ 0x9410c62e, "gro_cells_receive" },
	{ 0xf879ab74, "__dev_get_by_index" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf2087686, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb832c0e8, "gro_cells_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x11bfd55c, "skb_push" },
	{ 0xf31f815c, "skb_put" },
	{ 0xc66cae13, "crypto_aead_encrypt" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.7");
