#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x6e2e534d, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x520e8266, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xf7ee2cf7, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xf0555ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x9bbf3ce8, "__skb_checksum_complete" },
	{ 0x5d6e7039, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xeba362f9, "skb_copy_bits" },
	{ 0xabe6e910, "__nlmsg_put" },
	{ 0x565b3ff2, "netdev_adjacent_change_commit" },
	{ 0x4c2d004b, "eth_mac_addr" },
	{ 0xf31f815c, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x289abd0a, "ip6_dst_hoplimit" },
	{ 0xc84aca8d, "param_ops_ushort" },
	{ 0x4ba8b3db, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xb86de361, "udp_sock_create4" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0x94a257ee, "udp_tunnel6_xmit_skb" },
	{ 0x34330fb4, "rtnl_link_register" },
	{ 0xf92a7107, "__unregister_nexthop_notifier" },
	{ 0x4cb79328, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x773e626a, "eth_validate_addr" },
	{ 0x6edef6ff, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb832c0e8, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc7e99d87, "rtnl_create_link" },
	{ 0xebfe41ed, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6c24483e, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x287ff576, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50d8bf56, "udp_tunnel_drop_rx_port" },
	{ 0xedc549d1, "pskb_expand_head" },
	{ 0x40e4a9d6, "netdev_upper_dev_link" },
	{ 0x8ad4bb2e, "register_pernet_subsys" },
	{ 0xf70ea740, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xcb6a4e46, "__alloc_skb" },
	{ 0x19205782, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xa67781c0, "eth_gro_complete" },
	{ 0x9d09ef96, "rtnl_set_sk_err" },
	{ 0x58b63de1, "eth_gro_receive" },
	{ 0xc71ccd68, "rtnl_configure_link" },
	{ 0xaa7a598b, "skb_tunnel_check_pmtu" },
	{ 0xe6e746b3, "udp_tunnel_dst_lookup" },
	{ 0xf77cd581, "rtnl_unicast" },
	{ 0x689b6d0d, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x11912fde, "__skb_get_hash_net" },
	{ 0x1d69d05e, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf879ab74, "__dev_get_by_index" },
	{ 0xa4190776, "rtnl_link_unregister" },
	{ 0x16194047, "ipv6_stub" },
	{ 0x5604d0c, "skb_pull" },
	{ 0xcd7e312c, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe3cb08c9, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xca3f841, "dev_get_by_index_rcu" },
	{ 0x9410c62e, "gro_cells_receive" },
	{ 0x11bfd55c, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x317ae43f, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x53e0c0, "free_netdev" },
	{ 0x2e3b4855, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x282e7e3a, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x94ce85f1, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1bfabd81, "ethtool_op_get_link" },
	{ 0x24a646b5, "nexthop_find_by_id" },
	{ 0xe279e8f8, "arp_create" },
	{ 0x632ceb33, "__ethtool_get_link_ksettings" },
	{ 0x15a5f45b, "netdev_adjacent_change_prepare" },
	{ 0xb580d5b5, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3668ad0f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8d67bc67, "rhashtable_free_and_destroy" },
	{ 0x2bba071f, "rht_bucket_nested_insert" },
	{ 0x7918d113, "netdev_adjacent_change_abort" },
	{ 0x1665ccdf, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9390373f, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa921baea, "__iptunnel_pull_header" },
	{ 0x339bb663, "__pskb_pull_tail" },
	{ 0xff0c0379, "dev_get_tstats64" },
	{ 0xc1928d7e, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x27a5b71d, "rhashtable_destroy" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xb6c03015, "setup_udp_tunnel_sock" },
	{ 0x9887cf0e, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x22ee7dec, "skb_trim" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x37d0d526, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1c82c23d, "skb_scrub_packet" },
	{ 0x9bf52604, "nexthop_select_path" },
	{ 0x7dbd932d, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcf4772b, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc43b48a9, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4f9109b5, "param_ops_bool" },
	{ 0xb34fe450, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8b09fd0e, "rtnl_notify" },
	{ 0xea8ebb4a, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf2087686, "__netif_rx" },
	{ 0xc4f854fb, "skb_clone" },
	{ 0x3bbec5fb, "metadata_dst_alloc" },
	{ 0x8cfcb035, "dst_release" },
	{ 0x8eea49e0, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xa9da7228, "udp_tunnel_notify_del_rx_port" },
	{ 0x41f9b5fe, "register_nexthop_notifier" },
	{ 0x785e9ffa, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x80fbaf46, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc23481fa, "netdev_core_stats_inc" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x51e82c7c, "netdev_info" },
	{ 0x9f68add2, "neigh_lookup" },
	{ 0x16aa7421, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa3c06203, "register_netdevice" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.7");
