#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xad5b95dc, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xa77a7b0e, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xe0442988, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x289fb9f2, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x9314e9f7, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xed70cc90, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x6440566d, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xbd979f64, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xa9e1e795, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x161335c3, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xe955db38, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x105cbb7b, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x544dc064, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x2591f1e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf47096c9, "try_module_get" },
	{ 0x1ab1a3a0, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd588645c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa47ced9, "_dev_info" },
	{ 0xb03e8d92, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6bb1a3ae, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xcd7b5db1, "down_write" },
	{ 0x9e474cfc, "_dev_err" },
	{ 0xd427aa17, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xfe265fb9, "device_create" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x8e9922a6, "seq_putc" },
	{ 0x9807f93c, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd20fbb5c, "__nvme_submit_sync_cmd" },
	{ 0xb453aa92, "nvme_try_sched_reset" },
	{ 0xe3216585, "_dev_warn" },
	{ 0xc8cef92, "misc_register" },
	{ 0x8940d891, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xc4ef6beb, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe036a108, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x7999cb, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x28580878, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xfef798cc, "seq_puts" },
	{ 0xb8a37c71, "single_release" },
	{ 0x32d53153, "nvme_wait_reset" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x92215b08, "single_open" },
	{ 0xf42ebc7d, "up_read" },
	{ 0xa3e55cf2, "class_register" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x963c2466, "nvme_auth_negotiate" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "0477BCE7376D93EBFFDF668");
MODULE_INFO(rhelversion, "9.7");
