#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x2ab25e69, "");
SYMBOL_CRC(sas_remove_host, 0x116386a3, "");
SYMBOL_CRC(sas_get_address, 0xc23d8538, "");
SYMBOL_CRC(sas_tlr_supported, 0x8b926927, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xf3f460b5, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x5805b03b, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xc50c020a, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xf010a5dd, "");
SYMBOL_CRC(sas_phy_add, 0xa9649c7a, "");
SYMBOL_CRC(sas_phy_free, 0x5f66097f, "");
SYMBOL_CRC(sas_phy_delete, 0xdcd054e1, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xb808d1a4, "");
SYMBOL_CRC(sas_port_alloc, 0x0a8466a5, "");
SYMBOL_CRC(sas_port_alloc_num, 0x01b94138, "");
SYMBOL_CRC(sas_port_add, 0xeb15ddd1, "");
SYMBOL_CRC(sas_port_free, 0x3d3b0796, "");
SYMBOL_CRC(sas_port_delete, 0xd0270663, "");
SYMBOL_CRC(scsi_is_sas_port, 0xfa82fdb4, "");
SYMBOL_CRC(sas_port_get_phy, 0x166f0191, "");
SYMBOL_CRC(sas_port_add_phy, 0x96333187, "");
SYMBOL_CRC(sas_port_delete_phy, 0xbd5ed56b, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xc3ade8b1, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x930e5caf, "");
SYMBOL_CRC(sas_end_device_alloc, 0x0753cee9, "");
SYMBOL_CRC(sas_expander_alloc, 0x9a82d5a3, "");
SYMBOL_CRC(sas_rphy_add, 0xa07531ec, "");
SYMBOL_CRC(sas_rphy_free, 0xb14fffec, "");
SYMBOL_CRC(sas_rphy_delete, 0xfcd5077a, "");
SYMBOL_CRC(sas_rphy_unlink, 0x6b42995a, "");
SYMBOL_CRC(sas_rphy_remove, 0xad13b7f4, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x34bd832c, "");
SYMBOL_CRC(sas_attach_transport, 0x0c006a2a, "");
SYMBOL_CRC(sas_release_transport, 0x574a61e1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4ec12fc, "attribute_container_register" },
	{ 0x98bfe2e8, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x56fb4c72, "dev_printk" },
	{ 0x5dbbef4, "scsi_get_vpd_page" },
	{ 0x5a81a719, "scsi_mode_sense" },
	{ 0x5aac7372, "attribute_container_unregister" },
	{ 0xab6a7526, "scsi_remove_host" },
	{ 0xe9bcee30, "bsg_remove_queue" },
	{ 0x414386a7, "scsi_remove_target" },
	{ 0xc1d5e98c, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe3216585, "_dev_warn" },
	{ 0x311ef2ce, "bsg_job_done" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0x20f87b4a, "dma_opt_mapping_size" },
	{ 0x7d1dd78, "device_initialize" },
	{ 0x2c8bc168, "dev_set_name" },
	{ 0xb04d9daf, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x173748d5, "device_for_each_child" },
	{ 0xd588645c, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x81e8b3cf, "device_add" },
	{ 0x4e725560, "transport_add_device" },
	{ 0x56564ca, "transport_configure_device" },
	{ 0xc588e5fc, "device_del" },
	{ 0x52510e1, "transport_destroy_device" },
	{ 0x2aecf18f, "transport_remove_device" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0xfe23a3e0, "get_device" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0x1e083819, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xd1ae2f7b, "scsi_scan_target" },
	{ 0xb289d788, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0351be8, "transport_class_register" },
	{ 0x53e491fb, "transport_class_unregister" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.7");
