#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0xe516a5c9, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x53ff234d, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0xe092c338, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x7a8a1723, "_gpl");
SYMBOL_CRC(ucsi_resume, 0xe7cda592, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x52dd6869, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x21ed2e60, "_gpl");
SYMBOL_CRC(ucsi_create, 0x0729bc35, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x46039212, "_gpl");
SYMBOL_CRC(ucsi_register, 0x82625837, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xef168cd1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x9ac3bc0, "typec_partner_set_pd_revision" },
	{ 0xa466be8f, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa7857c50, "typec_register_partner" },
	{ 0x435c5dcb, "typec_port_set_usb_power_delivery" },
	{ 0xf7e155dc, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb11324b7, "typec_port_register_altmode" },
	{ 0x7c55629e, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7111f426, "trace_raw_output_prep" },
	{ 0x6bed953e, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xe7521a45, "trace_event_printf" },
	{ 0x714f0596, "trace_event_raw_init" },
	{ 0x1f21f372, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x7c79ab19, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe6618456, "bpf_trace_run2" },
	{ 0xffe16c5d, "event_triggers_call" },
	{ 0x87f7bb0c, "typec_set_mode" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x58f0c4bc, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9dc44aec, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x728de7a9, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x328cd616, "trace_event_ignore_this_pid" },
	{ 0x737e97de, "typec_partner_register_altmode" },
	{ 0x959bd11d, "typec_partner_set_num_altmodes" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe7766956, "typec_unregister_partner" },
	{ 0x675fc38a, "typec_set_pwr_opmode" },
	{ 0x49608933, "typec_cable_set_identity" },
	{ 0x975e50b9, "debugfs_attr_read" },
	{ 0x27317e17, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2b95b31a, "perf_trace_run_bpf_submit" },
	{ 0x9e474cfc, "_dev_err" },
	{ 0x39aecfe5, "typec_altmode_update_active" },
	{ 0x688ea2ed, "device_property_read_u8_array" },
	{ 0x5fd59684, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xcec18ad7, "usb_power_delivery_register_capabilities" },
	{ 0x44adbdff, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0x62d51850, "debugfs_remove" },
	{ 0x8493e058, "usb_power_delivery_unregister" },
	{ 0xe7996192, "trace_event_reg" },
	{ 0xa147d9e9, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa9f97595, "typec_unregister_port" },
	{ 0x701c78b0, "power_supply_get_drvdata" },
	{ 0xe3216585, "_dev_warn" },
	{ 0x548e8f09, "typec_register_port" },
	{ 0x5cc2452, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x46b5aa96, "typec_partner_set_usb_power_delivery" },
	{ 0x4d1dd091, "power_supply_changed" },
	{ 0xa23a08ba, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3e140e9, "typec_plug_register_altmode" },
	{ 0xe7322263, "devm_kasprintf" },
	{ 0xe036a108, "seq_read" },
	{ 0xf59df157, "debugfs_create_file" },
	{ 0xac551b5c, "trace_event_buffer_reserve" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb24338d7, "typec_unregister_altmode" },
	{ 0x69e8449e, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x28580878, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6627785a, "usb_power_delivery_unregister_capabilities" },
	{ 0x1dc8d3c5, "typec_get_drvdata" },
	{ 0x25c9c8ac, "typec_partner_set_identity" },
	{ 0x37996e41, "power_supply_unregister" },
	{ 0xb8a37c71, "single_release" },
	{ 0x86a79d2f, "typec_set_pwr_role" },
	{ 0x7b744720, "typec_partner_usb_power_delivery_register" },
	{ 0x1625b51f, "dev_err_probe" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0x8bf38ead, "usb_debug_root" },
	{ 0x32539405, "device_get_next_child_node" },
	{ 0x92215b08, "single_open" },
	{ 0x55d8dac6, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x593d63f9, "__dev_fwnode" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "46260D74E018D4EF5195BF1");
MODULE_INFO(rhelversion, "9.7");
