#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x3175ab2f, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x55d2c539, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xdfa9e753, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xa1c4ff54, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x88efde7c, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x4d463890, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x78a428d6, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xc5def606, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x0b36135d, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x47c23b5e, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x72320f74, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x88180a7b, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0xe2576fc6, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x14da6321, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x9b3986fd, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x5e4cd128, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x42f68ed2, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x1f5492be, "");
SYMBOL_CRC(vhost_chr_poll, 0x23c7196b, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x691eb8dc, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x832d71d6, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xd27d938a, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x352d8245, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x682afda3, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x5bbe4deb, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0xed566ed1, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x603c03a1, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0xcae6ff67, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0xaeba593a, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x333f77ed, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xa0430d3f, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xa2c03caf, "_gpl");
SYMBOL_CRC(vhost_signal, 0x874f4109, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xaa3af0ae, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x4eb32a31, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x94b1085e, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x84d44a4b, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x8b0b466c, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x03631b76, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x6ef7ff91, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0xe34c9883, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xc698b2ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeecd8ff5, "add_wait_queue" },
	{ 0xa2e461e6, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0x68cbc814, "cgroup_attach_task_all" },
	{ 0x2c93ae7b, "mmput" },
	{ 0x5e7c5e42, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x189acea8, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x95ed839, "unpin_user_pages_dirty_lock" },
	{ 0xbcc97765, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x438367dc, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1000e51, "schedule" },
	{ 0x651cfde1, "kthread_unuse_mm" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xf7756cf7, "fput" },
	{ 0x8800b91f, "kthread_stop" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x2a11e73a, "iov_iter_init" },
	{ 0x8aed590e, "_copy_from_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x64809640, "iov_iter_revert" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x6d7065fb, "_copy_to_iter" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc4409d13, "prepare_to_wait" },
	{ 0xdd82ec62, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x537e3bbb, "get_task_mm" },
	{ 0xc1e356ed, "kthread_create_on_node" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xd47e27c, "iov_iter_advance" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9aeab84d, "eventfd_fget" },
	{ 0x410ebcb2, "param_ops_int" },
	{ 0xc84aca8d, "param_ops_ushort" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.7");
