#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xcc4dcd41, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xce2aa622, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xb877096b, "_gpl");
SYMBOL_CRC(fat_scan, 0x06ec9d37, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x10b95935, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xa1ad7f4a, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x999f3b09, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x649e7bce, "_gpl");
SYMBOL_CRC(fat_getattr, 0xe59db481, "_gpl");
SYMBOL_CRC(fat_setattr, 0x31808c61, "_gpl");
SYMBOL_CRC(fat_attach, 0x0866cf08, "_gpl");
SYMBOL_CRC(fat_detach, 0xb615d4eb, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xed0d34e2, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xe1fb5e9c, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x974d4948, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x93fb296c, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xd512404f, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x4aebe2a4, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x1297bffb, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xccd82995, "_gpl");
SYMBOL_CRC(fat_update_time, 0x5031710f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57caf016, "filemap_fdatawrite" },
	{ 0xa66c41db, "generic_fillattr" },
	{ 0xa9a361b5, "setattr_prepare" },
	{ 0x3b00e78, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf2280fb4, "__init_rwsem" },
	{ 0xf3f5524d, "sync_blockdev_nowait" },
	{ 0xf8dace48, "make_vfsgid" },
	{ 0x630aac2f, "blk_start_plug" },
	{ 0x69aa9c40, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x22650db6, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xc69b9888, "generic_file_splice_read" },
	{ 0xc2141dd2, "new_inode" },
	{ 0xeb8e43cd, "mark_buffer_dirty" },
	{ 0xed4445dc, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b325a0c, "__find_get_block" },
	{ 0x49c6ba91, "filemap_fdatawrite_range" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xb6d8ec15, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xa4b4a598, "__blockdev_direct_IO" },
	{ 0x421f5788, "d_make_root" },
	{ 0xe4184eed, "__bforget" },
	{ 0xb119fe6a, "sb_set_blocksize" },
	{ 0x73077aaa, "block_truncate_page" },
	{ 0xf52ac1f7, "write_dirty_buffer" },
	{ 0xc28c29f7, "sync_filesystem" },
	{ 0x3ea5eae1, "fsnotify" },
	{ 0x5a0c6400, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x80a00406, "from_vfsuid" },
	{ 0x62211678, "inode_dio_wait" },
	{ 0x2fb3ccc4, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xae27a65f, "cont_write_begin" },
	{ 0xe7770752, "iput" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x7f133a89, "iter_file_splice_write" },
	{ 0x90624d29, "generic_file_write_iter" },
	{ 0xc4cf37a, "kmem_cache_create" },
	{ 0x982e3ef1, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfaf4ce23, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x7e431231, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xd73b03cc, "block_invalidate_folio" },
	{ 0xa11f7567, "__breadahead" },
	{ 0xc604529f, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13e9d7d4, "load_nls" },
	{ 0x158d5f0f, "generic_cont_expand_simple" },
	{ 0xb34573d9, "make_kuid" },
	{ 0x894fd99e, "truncate_inode_pages_final" },
	{ 0xdead075f, "block_write_full_page" },
	{ 0x4060ef15, "generic_file_mmap" },
	{ 0x6bb6a307, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xaf84bb07, "ilookup" },
	{ 0xd630be73, "kmem_cache_alloc" },
	{ 0x66941ce, "invalidate_inode_buffers" },
	{ 0xe54bb52, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa198a995, "mnt_drop_write_file" },
	{ 0x84f8d5f7, "inode_init_once" },
	{ 0x523f1143, "compat_ptr_ioctl" },
	{ 0xf84fa5ec, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xaab465dd, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xcd7b5db1, "down_write" },
	{ 0xd427aa17, "up_write" },
	{ 0xee215bdc, "generic_file_read_iter" },
	{ 0xcc5c04b7, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xf246de1, "truncate_pagecache" },
	{ 0xc471bfca, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xcc020248, "setattr_copy" },
	{ 0x91edee86, "__wait_on_buffer" },
	{ 0x2b824cd9, "set_nlink" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xd00c46f0, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x77e91ce0, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x11fb05e2, "from_vfsgid" },
	{ 0xe59c22c1, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd5a3da73, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc3fdb1ad, "__bread_gfp" },
	{ 0x3f79a9ae, "block_dirty_folio" },
	{ 0x92208a6f, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x75df330e, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x936518d3, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0x71b6e64c, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4ef6beb, "down_read" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0xe5d149c7, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb99259bb, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xaed7e917, "igrab" },
	{ 0xb75e8e61, "__getblk_gfp" },
	{ 0xe6721846, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0x407db0c, "mpage_readahead" },
	{ 0x9cf5c872, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xc967f1dc, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x28580878, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xe70f68fb, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x7e72f78, "blkdev_issue_flush" },
	{ 0xfef798cc, "seq_puts" },
	{ 0x8203758f, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xcf2457d0, "from_kuid_munged" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0x68eb3ba4, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x55e7604d, "kmem_cache_alloc_lru" },
	{ 0xc9f8380d, "__mark_inode_dirty" },
	{ 0xd3ee0e9d, "generic_file_llseek" },
	{ 0xde30efbc, "unload_nls" },
	{ 0xf42ebc7d, "up_read" },
	{ 0x21d6dc4, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0xfe4ca367, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x6aea2569, "kmem_cache_destroy" },
	{ 0x58f51481, "blkdev_issue_discard" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.7");
