#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x187f27b8, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x32730886, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x750a3cc5, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x0d461734, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xc2f17f13, "");
SYMBOL_CRC(fuse_abort_conn, 0x74eb8db1, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x5a5884b8, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x67a581bd, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x71920636, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x652d8a6c, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x9d0c4adb, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x3f8792d1, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x8ca02bbb, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x68fd6ace, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x0d95885e, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xfbe550a7, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x306f9b26, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x2f9fc450, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xf3f3ca5d, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x59f83832, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xf93d5295, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x6ef779c6, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xdb2f77cd, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x5ba4563f, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xf6c2a314, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x84a76fce, "");
SYMBOL_CRC(fuse_do_ioctl, 0x0c8cb795, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e978262, "super_setup_bdi_name" },
	{ 0x2d69963b, "posix_test_lock" },
	{ 0x56ee23ea, "truncate_inode_pages" },
	{ 0x6fa3c586, "generic_copy_file_range" },
	{ 0x3733d391, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x48c95d1e, "pipe_lock" },
	{ 0xa66c41db, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xc1c6975c, "vfs_fsync_range" },
	{ 0xa9a361b5, "setattr_prepare" },
	{ 0xa231c131, "clear_nlink" },
	{ 0x8cc6eaf3, "file_check_and_advance_wb_err" },
	{ 0x829a3b7f, "d_alloc_parallel" },
	{ 0xf2280fb4, "__init_rwsem" },
	{ 0x1ef02aa2, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x1ab1a3a0, "misc_deregister" },
	{ 0xf8dace48, "make_vfsgid" },
	{ 0x69aa9c40, "clear_inode" },
	{ 0x5cb1e300, "inode_to_bdi" },
	{ 0xdb5b5ac8, "find_pid_ns" },
	{ 0x32a33eec, "grab_cache_page_write_begin" },
	{ 0x84da7e11, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa39b99aa, "pipe_unlock" },
	{ 0x887e8afe, "fs_param_is_string" },
	{ 0x35e2b7b0, "folio_unlock" },
	{ 0xc69b9888, "generic_file_splice_read" },
	{ 0xc2141dd2, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0x68c56d0a, "filemap_map_pages" },
	{ 0x73f2f4c7, "dump_page" },
	{ 0xd91ba743, "forget_all_cached_acls" },
	{ 0x8d371e71, "init_special_inode" },
	{ 0xd10b606d, "unregister_filesystem" },
	{ 0xe3fcbb4a, "task_active_pid_ns" },
	{ 0xeada296f, "iov_iter_single_seg_count" },
	{ 0xde9b85c8, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xdd82ec62, "finish_wait" },
	{ 0x909c61c5, "d_alloc_name" },
	{ 0xf01e06aa, "replace_page_cache_folio" },
	{ 0x2e9ab223, "inode_query_iversion" },
	{ 0xd47e27c, "iov_iter_advance" },
	{ 0xfe0d3780, "kill_fasync" },
	{ 0x421f5788, "d_make_root" },
	{ 0xb119fe6a, "sb_set_blocksize" },
	{ 0x3bedfe64, "fget" },
	{ 0x7864aa99, "simple_fill_super" },
	{ 0xdce0aa50, "xas_find" },
	{ 0x538c54b7, "invalidate_mapping_pages" },
	{ 0xc28c29f7, "sync_filesystem" },
	{ 0x7541f6a3, "sget_fc" },
	{ 0xeed13339, "param_set_uint" },
	{ 0x44ce57a7, "d_splice_alias" },
	{ 0xc1eaddb3, "iov_iter_get_pages2" },
	{ 0x5a0c6400, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xec1ff71, "page_get_link" },
	{ 0x2afeb0bf, "generic_permission" },
	{ 0x250a3b8, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d1fbafd, "invalidate_inode_pages2_range" },
	{ 0xd1a927bc, "posix_lock_file" },
	{ 0xd4c71b8, "finish_open" },
	{ 0xe7770752, "iput" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xe43a7b0a, "logfc" },
	{ 0x7f133a89, "iter_file_splice_write" },
	{ 0x706d6e90, "prepare_to_wait_event" },
	{ 0xbba7b98, "init_pid_ns" },
	{ 0x2a11e73a, "iov_iter_init" },
	{ 0xf7099fca, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x4e4eb0c4, "sysfs_create_mount_point" },
	{ 0x90624d29, "generic_file_write_iter" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc44e5661, "register_filesystem" },
	{ 0xc4cf37a, "kmem_cache_create" },
	{ 0x4150ee68, "folio_add_lru" },
	{ 0xec9eaf23, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x982e3ef1, "sync_inode_metadata" },
	{ 0xe101c90b, "simple_empty" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xaafb1025, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40e3196e, "shrink_dcache_parent" },
	{ 0x5d0ced56, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f1010d4, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x1c65b473, "fs_param_is_u32" },
	{ 0x4dd5c749, "inode_newsize_ok" },
	{ 0xc5520d06, "d_drop" },
	{ 0xe5d5ced7, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x29555b03, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xb772d02d, "bdi_put" },
	{ 0x4df9ccbc, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x73c10c3e, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xb34573d9, "make_kuid" },
	{ 0x894fd99e, "truncate_inode_pages_final" },
	{ 0xbcc0a334, "fs_kobj" },
	{ 0x87ce068b, "__filemap_set_wb_err" },
	{ 0x12937e07, "simple_dir_operations" },
	{ 0x4060ef15, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0xe39684a8, "__free_pages" },
	{ 0xd630be73, "kmem_cache_alloc" },
	{ 0x267493d3, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x86b66ce6, "setattr_should_drop_suidgid" },
	{ 0xdaf715bb, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x37fa9211, "copy_page_from_iter_atomic" },
	{ 0x267b91a7, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x84f8d5f7, "inode_init_once" },
	{ 0x1af2b318, "file_write_and_wait_range" },
	{ 0x523f1143, "compat_ptr_ioctl" },
	{ 0x8776817, "nosteal_pipe_buf_ops" },
	{ 0x99aee274, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf23056f8, "inode_nohighmem" },
	{ 0x4525fd6b, "release_pages" },
	{ 0x1e3da329, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf7756cf7, "fput" },
	{ 0xcd7b5db1, "down_write" },
	{ 0xd427aa17, "up_write" },
	{ 0xee215bdc, "generic_file_read_iter" },
	{ 0xcc5c04b7, "inode_maybe_inc_iversion" },
	{ 0xc158f19, "unlock_page" },
	{ 0xba7fc513, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xf246de1, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb710cf51, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0x94c4bd56, "dec_node_page_state" },
	{ 0xc30fcbb7, "write_cache_pages" },
	{ 0xf90572c0, "file_update_time" },
	{ 0x2b824cd9, "set_nlink" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0xd00c46f0, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x1c3e3e8e, "from_kgid" },
	{ 0x47143cbd, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa91fdef2, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xe59c22c1, "write_inode_now" },
	{ 0xd5a3da73, "d_obtain_alias" },
	{ 0x5ed12aa2, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8d20cff8, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf2dd6b75, "finish_no_open" },
	{ 0x550eed9f, "__folio_start_writeback" },
	{ 0xd9232780, "kill_litter_super" },
	{ 0x4a18b199, "folio_end_writeback" },
	{ 0x87c6816f, "from_kuid" },
	{ 0xe94b469d, "current_in_userns" },
	{ 0xd5a84921, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x70cb2456, "sysfs_remove_mount_point" },
	{ 0xc8cef92, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0x936518d3, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xed0975be, "d_delete" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0x71b6e64c, "from_kgid_munged" },
	{ 0x93b05f5, "end_page_writeback" },
	{ 0x74fe3979, "kobject_create_and_add" },
	{ 0xc4ef6beb, "down_read" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0xd9cf83f0, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x794932d, "nonseekable_open" },
	{ 0x63efc086, "set_page_dirty" },
	{ 0xf85f087d, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2961fe06, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaed7e917, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe6721846, "generic_read_dir" },
	{ 0xbc683f00, "d_add" },
	{ 0xc64baa84, "set_page_writeback" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc967f1dc, "init_user_ns" },
	{ 0x227e575e, "d_find_alias" },
	{ 0x88a569d6, "invalidate_inode_pages2" },
	{ 0xae02782c, "alloc_pages" },
	{ 0xf9bd9c3c, "inc_nlink" },
	{ 0x66e9c99e, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe3ce5be8, "get_tree_bdev" },
	{ 0xbbe3888c, "set_anon_super_fc" },
	{ 0x28580878, "seq_printf" },
	{ 0x51ef44a7, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xfdfd9232, "generic_delete_inode" },
	{ 0xcb098976, "deactivate_locked_super" },
	{ 0x9c57fb6b, "touch_atime" },
	{ 0x1a6c34c4, "__d_lookup_unhash_wake" },
	{ 0x27f3a8d6, "set_page_dirty_lock" },
	{ 0xaf5b2199, "pid_nr_ns" },
	{ 0xc601276d, "generic_file_open" },
	{ 0x98eec573, "truncate_inode_pages_range" },
	{ 0xa23cc4ef, "__put_user_ns" },
	{ 0xda3c0ee8, "__folio_lock" },
	{ 0x6563dd7b, "filemap_dirty_folio" },
	{ 0x76f82311, "pagecache_get_page" },
	{ 0xfef798cc, "seq_puts" },
	{ 0x3d3dd314, "stream_open" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb598d714, "__wake_up_sync" },
	{ 0x62af037, "add_to_pipe" },
	{ 0x9b6bd8e3, "__fs_parse" },
	{ 0x24cb51c7, "posix_acl_to_xattr" },
	{ 0x91be6818, "dget_parent" },
	{ 0xec1b9560, "kill_anon_super" },
	{ 0xcf2457d0, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0xe91798a6, "iget5_locked" },
	{ 0xac7aee66, "security_dentry_init_security" },
	{ 0x369c4f0, "filemap_write_and_wait_range" },
	{ 0x556dc823, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x5e14f223, "generic_write_checks" },
	{ 0x64809640, "iov_iter_revert" },
	{ 0x3c8385cb, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x552837d2, "mntget" },
	{ 0x55e7604d, "kmem_cache_alloc_lru" },
	{ 0x14273fc1, "filemap_fault" },
	{ 0x5dd56084, "d_invalidate" },
	{ 0xc9f8380d, "__mark_inode_dirty" },
	{ 0xd3ee0e9d, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf42ebc7d, "up_read" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0xfd671d5c, "iov_iter_npages" },
	{ 0x3f221b1f, "drop_nlink" },
	{ 0xaff75b06, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xd711ae04, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x25d0098b, "bdi_set_max_ratio" },
	{ 0x6aea2569, "kmem_cache_destroy" },
	{ 0x3742aa79, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DBF81E138208D31B51FCD0");
MODULE_INFO(rhelversion, "9.7");
