#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xec5188ca, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xef842dac, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x42e367c2, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x7dedd81d, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xf688f7ea, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xd91fe9de, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x6c0ba53a, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x41824e64, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xdcf7a157, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xc8909088, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xc1c2e2e6, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x3f8e426a, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xc557376e, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x9270be97, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xcce54331, "");
SYMBOL_CRC(nf_nat_follow_master, 0x97b24fdf, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x3c824dd7, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xbfca8bef, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x8bfcc1de, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xe9867daa, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81321045, "nf_ct_ext_add" },
	{ 0x50b11be5, "__do_once_done" },
	{ 0xd9f52393, "nf_conntrack_find_get" },
	{ 0xf47096c9, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe4d5700b, "nf_ip6_checksum" },
	{ 0x9c249578, "nf_hook_entries_insert_raw" },
	{ 0x29ff570a, "nf_ct_seqadj_set" },
	{ 0xf31f815c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf78e9064, "nf_ct_helper_expectfn_unregister" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0x9695401b, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xedc549d1, "pskb_expand_head" },
	{ 0x8ad4bb2e, "register_pernet_subsys" },
	{ 0xfe48d84f, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x866c3c4c, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbd69e29e, "ipv6_skip_exthdr" },
	{ 0x825b4b15, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x30b3701b, "nf_ipv6_ops" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb03e8d92, "module_put" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfad47e5e, "nf_conntrack_alter_reply" },
	{ 0x4a67ad8b, "ip_route_me_harder" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0x93d97d5b, "nf_hook_entries_delete_raw" },
	{ 0x2a1da5d7, "skb_ensure_writable" },
	{ 0x32a35d0c, "nf_unregister_net_hooks" },
	{ 0x8c85f7b9, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x3668ad0f, "unregister_pernet_subsys" },
	{ 0x5aef249c, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf8da75c0, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xc098a9b0, "nf_ip_checksum" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xa6bd295f, "register_btf_kfunc_id_set" },
	{ 0x8eb43d47, "nf_ct_iterate_destroy" },
	{ 0x373a96b6, "inet_proto_csum_replace16" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7eb202e9, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xeee7e5c3, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd71631a5, "__skb_checksum" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0x5873cfb6, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc6cda20d, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x8cfcb035, "dst_release" },
	{ 0x74cabd35, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x1da20bab, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "22D68F48D1955235F633073");
MODULE_INFO(rhelversion, "9.7");
