#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xa3bc2726, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x5b933eef, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x95246a0b, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba837df3, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x301d65f5, "sock_queue_rcv_skb_reason" },
	{ 0x988b6c80, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0a96bf0, "bpf_trace_run4" },
	{ 0xeba362f9, "skb_copy_bits" },
	{ 0xb4b86c0b, "radix_tree_insert" },
	{ 0xf31f815c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4ba8b3db, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7111f426, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0xaf513b8f, "radix_tree_lookup" },
	{ 0x19f175a5, "rt_mutex_base_init" },
	{ 0xe7521a45, "trace_event_printf" },
	{ 0x36c78194, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x714f0596, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe07ca7e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8dbcbe3d, "__tracepoint_sk_data_ready" },
	{ 0xffe16c5d, "event_triggers_call" },
	{ 0xd9f2f192, "__wake_up" },
	{ 0xfe6a556d, "__module_get" },
	{ 0x7553ca26, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x689f153, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1298f98d, "sk_error_report" },
	{ 0x55c43b76, "skb_queue_purge_reason" },
	{ 0x202610eb, "radix_tree_iter_delete" },
	{ 0x9dc44aec, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8aaa9b3c, "proto_unregister" },
	{ 0x296e2bf9, "sock_register" },
	{ 0xc7e8c061, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x328cd616, "trace_event_ignore_this_pid" },
	{ 0xcb6a4e46, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x83a7e7f0, "rt_write_unlock" },
	{ 0x9f54da79, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb03e8d92, "module_put" },
	{ 0xfee8c4fd, "__xa_alloc" },
	{ 0x2e917f20, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2b95b31a, "perf_trace_run_bpf_submit" },
	{ 0x272f9ebc, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8cd6e837, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe3cb08c9, "sk_skb_reason_drop" },
	{ 0x92bdfc76, "xa_load" },
	{ 0xc0083139, "__SCK__tp_func_sk_data_ready" },
	{ 0xe455ffde, "kernel_getsockname" },
	{ 0xfd8ba07b, "do_wait_intr_irq" },
	{ 0x6ba3a62b, "sk_free" },
	{ 0xf63f044e, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe28274e2, "mutex_lock" },
	{ 0x11bfd55c, "skb_push" },
	{ 0x3d69289, "sock_no_listen" },
	{ 0xe7996192, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x94ce85f1, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x96bde5e0, "skb_copy_datagram_iter" },
	{ 0x1f6d2ab6, "sk_alloc" },
	{ 0xfdca198c, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a59fcf1, "sock_no_mmap" },
	{ 0x6eaa9c9b, "__init_waitqueue_head" },
	{ 0x3bcf07d0, "sock_no_sendpage" },
	{ 0x89086647, "__netdev_alloc_skb" },
	{ 0xca4db3d5, "rt_spin_unlock" },
	{ 0xb9573f2f, "rt_spin_lock" },
	{ 0x36067b89, "__xa_insert" },
	{ 0x25fae161, "xa_erase" },
	{ 0x56f8ae48, "bpf_trace_run3" },
	{ 0x83cfcae5, "skb_set_owner_w" },
	{ 0xac551b5c, "trace_event_buffer_reserve" },
	{ 0xd4a9b907, "mutex_unlock" },
	{ 0x683acd69, "sock_create_kern" },
	{ 0x8ed652dc, "xa_find" },
	{ 0x6dfc82f4, "skb_recv_datagram" },
	{ 0x2902de71, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x27be5637, "xa_store" },
	{ 0x27a0f97e, "rt_write_lock" },
	{ 0x8aed590e, "_copy_from_iter" },
	{ 0x26c35c9e, "sock_release" },
	{ 0x46aa2a0b, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x424cfe07, "xa_find_after" },
	{ 0x7a09ef3b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x64809640, "iov_iter_revert" },
	{ 0x7691050, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x51b39adc, "__mutex_rt_init" },
	{ 0xd3859378, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xddbb71fe, "kmalloc_caches" },
	{ 0x16aa7421, "release_sock" },
	{ 0xb70f66b2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.7");
